import { j as jsxRuntimeExports, $ as $905f4ae918aab1aa$export$be92b6f5f03c0fe9, a as $905f4ae918aab1aa$export$602eac185826482c, b as $905f4ae918aab1aa$export$c6fdb837b070b4ff, c as $905f4ae918aab1aa$export$7c6e2c02157bb7d2, d as $905f4ae918aab1aa$export$f99233281efd08a0, e as $905f4ae918aab1aa$export$393edc798c47379d, f as $905f4ae918aab1aa$export$848c9b7ead0df967, g as $905f4ae918aab1aa$export$e19cd5f9376f8cee, h as $5d3850c4d0b4e6c7$export$be92b6f5f03c0fe9, i as $5d3850c4d0b4e6c7$export$602eac185826482c, k as $5d3850c4d0b4e6c7$export$c6fdb837b070b4ff, l as $5d3850c4d0b4e6c7$export$7c6e2c02157bb7d2, m as $5d3850c4d0b4e6c7$export$f99233281efd08a0, n as $5d3850c4d0b4e6c7$export$393edc798c47379d, o as $5d3850c4d0b4e6c7$export$f39c2d165cd861fe, p as $054eb8030ebde76e$export$2881499e37b75b9a, q as $054eb8030ebde76e$export$be92b6f5f03c0fe9, r as $054eb8030ebde76e$export$f99233281efd08a0, s as $054eb8030ebde76e$export$393edc798c47379d, t as $054eb8030ebde76e$export$e19cd5f9376f8cee, u as $054eb8030ebde76e$export$d5c6c08dc2d3ca7, v as $cb5cc270b50c6fcd$export$be92b6f5f03c0fe9, w as $cb5cc270b50c6fcd$export$41fb9f06171c75f4, x as $cb5cc270b50c6fcd$export$602eac185826482c, y as $cb5cc270b50c6fcd$export$7c6e2c02157bb7d2, z as $cb5cc270b50c6fcd$export$f39c2d165cd861fe, A as $cb5cc270b50c6fcd$export$21b07c8f274aebd5, B as $67824d98245208a0$export$be92b6f5f03c0fe9, C as $67824d98245208a0$export$adb584737d712b70, D as $cc7e05a45900e73f$export$6d08773d2e66f8f2, E as $cc7e05a45900e73f$export$d6e5bf9c43ea9319, F as $cc7e05a45900e73f$export$c3468e2714d175fa, G as motion, H as $d94698215c4408a7$export$be92b6f5f03c0fe9, I as $d94698215c4408a7$export$2c4cf1f7b42ef78c, J as $d94698215c4408a7$export$a455218a85c89869, K as $d94698215c4408a7$export$7a7fa4424cb20976, L as $d94698215c4408a7$export$f69c19e57285b83a, M as $57acba87d6e25586$export$be92b6f5f03c0fe9, N as $57acba87d6e25586$export$d5c6c08dc2d3ca7, O as $57acba87d6e25586$export$9a4e88b92edfce6b, P as $57acba87d6e25586$export$6521433ed15a34db, Q as $57acba87d6e25586$export$ac61190d9fc311a9, R as MasonryResponsive, S as Masonry } from "./vendor-3b563c63.js";
import React__default, { createElement } from "react";
import { SledgeContext as SledgeContext$1 } from "@offstack/sledge-react-core";
import "react-dom";
const API_URL = "https://sledge-api-preprod.offstack.io";
const INSTANT_SEARCH_ENGINE_URL = "https://instant-search-engine.offstack.io";
const LOCAL_STORAGE_KEY = {
  ANONYM_ID: "sledge-anonym-id",
  AUTH_APP: "sledge-auth-app",
  INSTANT_SEARCH_AUTH_APP: "sledge-instant-search-auth-app",
  WISHLIST_SETTING: "sledge-wishlist-setting",
  PRODUCT_REVIEW_SETTING: "sledge-product-review-setting",
  INSTANT_SEARCH_SETTING: "sledge-instant-search-setting"
};
const SEARCH_RESULT_URL = "/pages/search-result";
const OBJECT_DATA_STRING_KEY = {
  STORE: {
    NAME: "{{ shop.name }}"
  },
  PRODUCT: {
    TITLE: "{ product_title }",
    VARIANT_TITLE: "{ product_variant_title }",
    IMAGE: "{ product_image }",
    CURRENCY: "{ product_currency }",
    PRICE: "{ product_price }",
    VENDOR: "{ product_vendor }",
    SKU: "{ product_sku }"
  }
};
const getSetting = async (productType) => {
  let sledgeAuthApp = localStorage.getItem(LOCAL_STORAGE_KEY.AUTH_APP);
  var myHeaders = new Headers();
  myHeaders.append("Authorization", `Bearer ${sledgeAuthApp}`);
  var requestOptions = {
    method: "GET",
    headers: myHeaders,
    redirect: "follow"
  };
  return await fetch(`${API_URL}/app/${productType}/setting`, requestOptions).then((response) => response.json()).then((result) => {
    return result;
  }).catch(() => {
    return;
  });
};
const getToken = async (data) => {
  const { API_KEY, INSTANT_SEARCH_API_KEY, USER_ID, USER_FULLNAME } = data;
  var myHeaders = new Headers();
  myHeaders.append("Authorization", `Bearer ${API_KEY || ""}`);
  myHeaders.append("Content-Type", "application/json");
  var raw = JSON.stringify({
    user: {
      id: USER_ID || "",
      name: USER_FULLNAME || "",
      anonym: localStorage.getItem(LOCAL_STORAGE_KEY.ANONYM_ID) || ""
    }
  });
  var requestOptions = {
    method: "POST",
    headers: myHeaders,
    body: raw,
    redirect: "follow"
  };
  return await fetch(`${API_URL}/app/token`, requestOptions).then((response) => response.json()).then(async (result) => {
    const { data: data2 } = result || {};
    const { anonym, token } = data2 || {};
    localStorage.setItem(LOCAL_STORAGE_KEY.ANONYM_ID, anonym || "");
    localStorage.setItem(LOCAL_STORAGE_KEY.AUTH_APP, token || "");
    localStorage.setItem(LOCAL_STORAGE_KEY.INSTANT_SEARCH_AUTH_APP, INSTANT_SEARCH_API_KEY || "");
    return result;
  }).catch((error) => {
    return error;
  });
};
const root = "";
const Loading = "";
const ConfirmationPopup$1 = "";
const ConfirmationPopup = () => {
  const [title, setTitle] = React__default.useState("");
  const [message, setMessage] = React__default.useState("");
  const [textSubmit, setTextSubmit] = React__default.useState("");
  const [textCancel, setTextCancel] = React__default.useState("");
  const [buttonSubmitType, setButtonSubmitType] = React__default.useState("");
  const [showConfirmation, setShowConfirmation] = React__default.useState(false);
  const [handleFunctions, setHandleFunctions] = React__default.useState({
    onSubmit: () => {
    }
  });
  if (typeof window !== "undefined") {
    window.sledgeConfirmationPopup = ({ title: title2, message: message2, textSubmit: textSubmit2, textCancel: textCancel2, buttonSubmitType: buttonSubmitType2, onSubmit }) => {
      setShowConfirmation(true);
      setTitle(title2);
      setMessage(message2);
      setTextSubmit(textSubmit2);
      setTextCancel(textCancel2);
      setButtonSubmitType(buttonSubmitType2);
      setHandleFunctions({
        onSubmit
      });
    };
  }
  return /* @__PURE__ */ jsxRuntimeExports.jsx($905f4ae918aab1aa$export$be92b6f5f03c0fe9, { open: showConfirmation, onOpenChange: setShowConfirmation, children: /* @__PURE__ */ jsxRuntimeExports.jsxs($905f4ae918aab1aa$export$602eac185826482c, { children: [
    /* @__PURE__ */ jsxRuntimeExports.jsx($905f4ae918aab1aa$export$c6fdb837b070b4ff, { className: "sledge__alert-dialog-overlay AlertDialogOverlay" }),
    /* @__PURE__ */ jsxRuntimeExports.jsxs($905f4ae918aab1aa$export$7c6e2c02157bb7d2, { className: "sledge__alert-dialog-content AlertDialogContent", children: [
      /* @__PURE__ */ jsxRuntimeExports.jsx($905f4ae918aab1aa$export$f99233281efd08a0, { className: "AlertDialogTitle", dangerouslySetInnerHTML: { __html: title } }),
      /* @__PURE__ */ jsxRuntimeExports.jsx($905f4ae918aab1aa$export$393edc798c47379d, { className: "AlertDialogDescription", dangerouslySetInnerHTML: { __html: message } }),
      /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "AlertDialogFooter", children: [
        /* @__PURE__ */ jsxRuntimeExports.jsx($905f4ae918aab1aa$export$848c9b7ead0df967, { asChild: true, children: /* @__PURE__ */ jsxRuntimeExports.jsx("button", { className: "sledge__alert-dialog-button sledge__alert-dialog-button-cancel", onClick: () => setShowConfirmation(false), children: textCancel }) }),
        /* @__PURE__ */ jsxRuntimeExports.jsx($905f4ae918aab1aa$export$e19cd5f9376f8cee, { asChild: true, children: /* @__PURE__ */ jsxRuntimeExports.jsx(
          "button",
          {
            className: `sledge__alert-dialog-button ${buttonSubmitType}`,
            onClick: () => {
              handleFunctions.onSubmit();
              setShowConfirmation(false);
            },
            children: textSubmit
          }
        ) })
      ] })
    ] })
  ] }) });
};
const InfoPopup$1 = "";
const InfoPopup = () => {
  const [title, setTitle] = React__default.useState("");
  const [message, setMessage] = React__default.useState("");
  const [textCancel, setTextCancel] = React__default.useState("");
  const [showInfo, setShowInfo] = React__default.useState(false);
  if (typeof window !== "undefined") {
    window.sledgeInfoPopup = ({ title: title2, message: message2, textCancel: textCancel2 }) => {
      setShowInfo(true);
      setTitle(title2);
      setMessage(message2);
      setTextCancel(textCancel2);
    };
  }
  return /* @__PURE__ */ jsxRuntimeExports.jsx($5d3850c4d0b4e6c7$export$be92b6f5f03c0fe9, { open: showInfo, onOpenChange: setShowInfo, children: /* @__PURE__ */ jsxRuntimeExports.jsxs($5d3850c4d0b4e6c7$export$602eac185826482c, { children: [
    /* @__PURE__ */ jsxRuntimeExports.jsx($5d3850c4d0b4e6c7$export$c6fdb837b070b4ff, { className: "sledge__dialog-overlay DialogOverlay" }),
    /* @__PURE__ */ jsxRuntimeExports.jsxs($5d3850c4d0b4e6c7$export$7c6e2c02157bb7d2, { className: "sledge__dialog-content DialogContent", children: [
      /* @__PURE__ */ jsxRuntimeExports.jsx($5d3850c4d0b4e6c7$export$f99233281efd08a0, { className: "DialogTitle", dangerouslySetInnerHTML: { __html: title } }),
      /* @__PURE__ */ jsxRuntimeExports.jsx($5d3850c4d0b4e6c7$export$393edc798c47379d, { className: "DialogDescription", dangerouslySetInnerHTML: { __html: message } }),
      /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "DialogCloseButton", children: /* @__PURE__ */ jsxRuntimeExports.jsx($5d3850c4d0b4e6c7$export$f39c2d165cd861fe, { asChild: true, children: /* @__PURE__ */ jsxRuntimeExports.jsx("button", { className: "sledge__dialog-button sledge__dialog-button-cancel", children: textCancel }) }) }),
      /* @__PURE__ */ jsxRuntimeExports.jsx($5d3850c4d0b4e6c7$export$f39c2d165cd861fe, { asChild: true, children: /* @__PURE__ */ jsxRuntimeExports.jsx("button", { className: "IconButton", "aria-label": "Close", children: /* @__PURE__ */ jsxRuntimeExports.jsx("svg", { width: 14, height: 14, viewBox: "0 0 14 14", fill: "none", xmlns: "http://www.w3.org/2000/svg", children: /* @__PURE__ */ jsxRuntimeExports.jsx(
        "path",
        {
          d: "M1.22578 13.8248L0.175781 12.7748L5.95078 6.9998L0.175781 1.2248L1.22578 0.174805L7.00078 5.9498L12.7758 0.174805L13.8258 1.2248L8.05078 6.9998L13.8258 12.7748L12.7758 13.8248L7.00078 8.0498L1.22578 13.8248Z",
          fill: "currentColor"
        }
      ) }) }) })
    ] })
  ] }) });
};
const ToastNotification$1 = "";
const ToastNotification = () => {
  const [openToast, setOpenToast] = React__default.useState(false);
  const [title, setTitle] = React__default.useState("");
  const [message, setMessage] = React__default.useState("");
  const [location, setLocation] = React__default.useState("");
  const [icon, setIcon] = React__default.useState(null);
  const [type, setType] = React__default.useState("");
  const toastTimerRef = React__default.useRef(0);
  if (typeof window !== "undefined") {
    window.sledgeToastNotification = ({ title: title2, message: message2, location: location2 = "bottom-right", icon: icon2 = null, type: type2 }) => {
      setTitle(title2);
      setMessage(message2);
      setLocation(location2);
      setIcon(icon2);
      setType(type2);
      setOpenToast(false);
      window.clearTimeout(toastTimerRef.current);
      toastTimerRef.current = window.setTimeout(() => {
        setOpenToast(true);
      }, 10);
    };
  }
  React__default.useEffect(() => {
    return () => clearTimeout(toastTimerRef.current);
  }, []);
  return /* @__PURE__ */ jsxRuntimeExports.jsxs($054eb8030ebde76e$export$2881499e37b75b9a, { children: [
    /* @__PURE__ */ jsxRuntimeExports.jsxs($054eb8030ebde76e$export$be92b6f5f03c0fe9, { className: "sledge__ToastRoot", open: openToast, onOpenChange: setOpenToast, children: [
      /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge__toast-icon-wrapper", children: [
        icon,
        /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge__toast-type", "data-notification-type": type, children: type === "success" ? /* @__PURE__ */ jsxRuntimeExports.jsx(CheckIcon, { width: 15, height: 15, color: "white" }) : /* @__PURE__ */ jsxRuntimeExports.jsx(CloseIcon, { width: 15, height: 15, color: "white" }) })
      ] }),
      /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge__toast-message-wrapper", children: [
        /* @__PURE__ */ jsxRuntimeExports.jsx($054eb8030ebde76e$export$f99233281efd08a0, { className: "sledge__ToastTitle", children: title }),
        /* @__PURE__ */ jsxRuntimeExports.jsx($054eb8030ebde76e$export$393edc798c47379d, { asChild: true, children: /* @__PURE__ */ jsxRuntimeExports.jsx("p", { className: "sledge__ToastDescription", children: message }) })
      ] }),
      /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge__toast-action-wrapper", children: /* @__PURE__ */ jsxRuntimeExports.jsx($054eb8030ebde76e$export$e19cd5f9376f8cee, { className: "sledge__ToastAction", asChild: true, altText: "Close notification", children: /* @__PURE__ */ jsxRuntimeExports.jsx(Button, { colorType: "outlined-danger", children: "Dismiss" }) }) })
    ] }),
    /* @__PURE__ */ jsxRuntimeExports.jsx($054eb8030ebde76e$export$d5c6c08dc2d3ca7, { className: "sledge__ToastViewport", "data-location": location })
  ] });
};
const Popover$1 = "";
const Popover = ({
  trigger,
  content,
  isOpen,
  setIsOpen,
  hideCloseIcon,
  align,
  className,
  withOpenState = true,
  withArrow = true,
  customArrow = "",
  sideOffset = 5,
  alignOffset = 0
}) => {
  const [open, setOpen] = React__default.useState(withOpenState ? isOpen : false);
  React__default.useEffect(() => {
    var _a;
    let arrowElement = (_a = document == null ? void 0 : document.querySelector(".PopoverArrow")) == null ? void 0 : _a.parentElement;
    if (arrowElement && (customArrow == null ? void 0 : customArrow.length)) {
      arrowElement.style.display = "inline-flex";
      arrowElement.innerHTML = customArrow;
    }
  }, [open]);
  return /* @__PURE__ */ jsxRuntimeExports.jsxs(
    $cb5cc270b50c6fcd$export$be92b6f5f03c0fe9,
    {
      ...withOpenState && {
        open: isOpen
      },
      ...setIsOpen && {
        onOpenChange: (open2) => {
          setOpen(open2);
          setIsOpen(open2);
        }
      },
      children: [
        /* @__PURE__ */ jsxRuntimeExports.jsx($cb5cc270b50c6fcd$export$41fb9f06171c75f4, { asChild: true, children: trigger }),
        /* @__PURE__ */ jsxRuntimeExports.jsx($cb5cc270b50c6fcd$export$602eac185826482c, { children: /* @__PURE__ */ jsxRuntimeExports.jsxs(
          $cb5cc270b50c6fcd$export$7c6e2c02157bb7d2,
          {
            className: `sledge__popover-content ${className ? className : ""}`,
            sideOffset,
            alignOffset,
            align,
            ...setIsOpen && {
              onOpenAutoFocus: () => setIsOpen(true),
              onCloseAutoFocus: () => setIsOpen(false)
            },
            children: [
              content,
              !hideCloseIcon && /* @__PURE__ */ jsxRuntimeExports.jsx($cb5cc270b50c6fcd$export$f39c2d165cd861fe, { className: "PopoverClose", "aria-label": "Close", children: /* @__PURE__ */ jsxRuntimeExports.jsx("svg", { width: 15, height: 15, viewBox: "0 0 15 15", fill: "none", xmlns: "http://www.w3.org/2000/svg", children: /* @__PURE__ */ jsxRuntimeExports.jsx(
                "path",
                {
                  d: "M11.7816 4.03157C12.0062 3.80702 12.0062 3.44295 11.7816 3.2184C11.5571 2.99385 11.193 2.99385 10.9685 3.2184L7.50005 6.68682L4.03164 3.2184C3.80708 2.99385 3.44301 2.99385 3.21846 3.2184C2.99391 3.44295 2.99391 3.80702 3.21846 4.03157L6.68688 7.49999L3.21846 10.9684C2.99391 11.193 2.99391 11.557 3.21846 11.7816C3.44301 12.0061 3.80708 12.0061 4.03164 11.7816L7.50005 8.31316L10.9685 11.7816C11.193 12.0061 11.5571 12.0061 11.7816 11.7816C12.0062 11.557 12.0062 11.193 11.7816 10.9684L8.31322 7.49999L11.7816 4.03157Z",
                  fill: "currentColor",
                  fillRule: "evenodd",
                  clipRule: "evenodd"
                }
              ) }) }),
              withArrow ? /* @__PURE__ */ jsxRuntimeExports.jsx($cb5cc270b50c6fcd$export$21b07c8f274aebd5, { className: "PopoverArrow" }) : null
            ]
          }
        ) })
      ]
    }
  );
};
const Progress$1 = "";
const Progress = ({ value, total, fillColor = "", outlineColor = "" }) => {
  const [progress, setProgress] = React__default.useState(0);
  React__default.useEffect(() => {
    const timer = setTimeout(() => setProgress(+value / total * 100), 150);
    return () => clearTimeout(timer);
  }, []);
  return /* @__PURE__ */ jsxRuntimeExports.jsx(
    $67824d98245208a0$export$be92b6f5f03c0fe9,
    {
      className: "sledge__progress",
      value: progress,
      style: outlineColor ? {
        borderWidth: "1px",
        borderStyle: "solid",
        borderColor: outlineColor
      } : {},
      children: /* @__PURE__ */ jsxRuntimeExports.jsx(
        $67824d98245208a0$export$adb584737d712b70,
        {
          className: "ProgressIndicator",
          style: {
            ...{ transform: `translateX(-${100 - progress}%)` },
            ...fillColor && {
              backgroundColor: fillColor
            }
          }
        }
      )
    }
  );
};
const Checkbox = "";
const Slider = "";
const Pagination = "";
const RadioGroup = "";
const ColorSwatch = "";
const Select = "";
React__default.forwardRef(({ children, className = "", ...props }, forwardedRef) => {
  return /* @__PURE__ */ jsxRuntimeExports.jsxs($cc7e05a45900e73f$export$6d08773d2e66f8f2, { className: `sledge__select-item ${className}`, ...props, ref: forwardedRef, children: [
    /* @__PURE__ */ jsxRuntimeExports.jsx($cc7e05a45900e73f$export$d6e5bf9c43ea9319, { children }),
    /* @__PURE__ */ jsxRuntimeExports.jsx($cc7e05a45900e73f$export$c3468e2714d175fa, { className: "sledge__select-item-indicator", children: /* @__PURE__ */ jsxRuntimeExports.jsx("svg", { width: 15, height: 15, viewBox: "0 0 15 15", fill: "none", xmlns: "http://www.w3.org/2000/svg", children: /* @__PURE__ */ jsxRuntimeExports.jsx(
      "path",
      {
        d: "M11.4669 3.72684C11.7558 3.91574 11.8369 4.30308 11.648 4.59198L7.39799 11.092C7.29783 11.2452 7.13556 11.3467 6.95402 11.3699C6.77247 11.3931 6.58989 11.3355 6.45446 11.2124L3.70446 8.71241C3.44905 8.48022 3.43023 8.08494 3.66242 7.82953C3.89461 7.57412 4.28989 7.55529 4.5453 7.78749L6.75292 9.79441L10.6018 3.90792C10.7907 3.61902 11.178 3.53795 11.4669 3.72684Z",
        fill: "currentColor",
        fillRule: "evenodd",
        clipRule: "evenodd"
      }
    ) }) })
  ] });
});
const HeartIcon = ({ width, height, type, color }) => {
  return /* @__PURE__ */ jsxRuntimeExports.jsx("span", { className: "sledge-icon__heart", children: type === "outline" ? /* @__PURE__ */ jsxRuntimeExports.jsx("svg", { width, height, id: "sledge-icon-heart-line", viewBox: "0 0 18 17", fill: color, children: /* @__PURE__ */ jsxRuntimeExports.jsx(
    "path",
    {
      fillRule: "evenodd",
      clipRule: "evenodd",
      d: "M9.19515 0.86581C10.5501 0.00914308 12.3501 -0.227524 13.9051 0.27081C17.2876 1.36164 18.3376 5.04914 17.3985 7.98331C15.9493 12.5916 9.76015 16.0291 9.49765 16.1733C9.40431 16.225 9.30098 16.2508 9.19765 16.2508C9.09431 16.2508 8.99181 16.2258 8.89848 16.175C8.63765 16.0325 2.49348 12.6458 0.995979 7.98414L0.995146 7.98331C0.0551462 5.04831 1.10181 1.35998 4.48098 0.27081C6.06765 -0.242524 7.79681 -0.0166903 9.19515 0.86581ZM4.86431 1.46081C2.13015 2.34248 1.44348 5.28331 2.18598 7.60248C3.35431 11.2375 7.97015 14.1766 9.19681 14.9041C10.4276 14.1691 15.0768 11.1975 16.2076 7.60581C16.9501 5.28414 16.261 2.34331 13.5226 1.46081C12.196 1.03498 10.6485 1.29414 9.58015 2.12081C9.35681 2.29248 9.04681 2.29581 8.82181 2.12581C7.69015 1.27498 6.21181 1.02581 4.86431 1.46081ZM12.7226 3.11573C13.8585 3.48323 14.6543 4.48906 14.7518 5.67823C14.7793 6.02239 14.5235 6.32406 14.1793 6.35156C14.1618 6.35323 14.1451 6.35406 14.1276 6.35406C13.8051 6.35406 13.5318 6.10656 13.5051 5.77989C13.4501 5.09489 12.9918 4.51656 12.3393 4.30573C12.0101 4.19906 11.8301 3.84656 11.936 3.51906C12.0435 3.19073 12.3926 3.01239 12.7226 3.11573Z"
    }
  ) }) : /* @__PURE__ */ jsxRuntimeExports.jsx("svg", { width, height, id: "sledge-icon-heart-fill", viewBox: "0 0 18 17", fill: color, children: /* @__PURE__ */ jsxRuntimeExports.jsx("path", { d: "M5.89936 0.0838691C6.42436 0.0998355 6.9327 0.191502 7.4252 0.359002H7.47436C7.5077 0.374836 7.5327 0.392336 7.54936 0.408169C7.73353 0.467336 7.9077 0.534002 8.07436 0.625669L8.39103 0.767336C8.51603 0.834002 8.66603 0.958169 8.74936 1.009C8.8327 1.05817 8.92436 1.109 8.99936 1.1665C9.9252 0.459002 11.0494 0.0756688 12.2077 0.0838691C12.7335 0.0838691 13.2585 0.158169 13.7577 0.325669C16.8335 1.32567 17.9419 4.70067 17.016 7.65067C16.491 9.15817 15.6327 10.534 14.5085 11.6582C12.8994 13.2165 11.1335 14.5998 9.2327 15.7915L9.02436 15.9173L8.8077 15.7832C6.9002 14.5998 5.12436 13.2165 3.5002 11.6498C2.38353 10.5257 1.52436 9.15817 0.991029 7.65067C0.0493627 4.70067 1.1577 1.32567 4.26686 0.308169C4.50853 0.224836 4.7577 0.166502 5.0077 0.134002H5.1077C5.34186 0.0998355 5.57436 0.0838691 5.8077 0.0838691H5.89936ZM13.3244 2.71734C12.9827 2.59984 12.6077 2.784 12.4827 3.134C12.366 3.484 12.5494 3.86734 12.8994 3.9915C13.4335 4.1915 13.791 4.71734 13.791 5.29984V5.32567C13.7752 5.5165 13.8327 5.70067 13.9494 5.84234C14.066 5.984 14.241 6.0665 14.4244 6.084C14.766 6.07484 15.0577 5.80067 15.0827 5.44984V5.35067C15.1077 4.18317 14.4002 3.12567 13.3244 2.71734Z" }) }) });
};
const ChevronArrowLeftIcon = ({ width, height, color }) => {
  return /* @__PURE__ */ jsxRuntimeExports.jsx("span", { className: "sledge-icon__arrow-left", children: /* @__PURE__ */ jsxRuntimeExports.jsx("svg", { width, height, viewBox: "0 0 16 16", fill: "none", xmlns: "http://www.w3.org/2000/svg", children: /* @__PURE__ */ jsxRuntimeExports.jsx(
    "path",
    {
      d: "M10.6875 2.97945C10.865 3.15697 10.8812 3.43474 10.7359 3.63048L10.6875 3.68656L6.37465 7.99967L10.6875 12.3128C10.865 12.4903 10.8812 12.7681 10.7359 12.9638L10.6875 13.0199C10.51 13.1974 10.2323 13.2135 10.0365 13.0683L9.98043 13.0199L5.31377 8.35323C5.13625 8.17572 5.12012 7.89794 5.26535 7.7022L5.31377 7.64612L9.98043 2.97945C10.1757 2.78419 10.4923 2.78419 10.6875 2.97945Z",
      fill: color
    }
  ) }) });
};
const ChevronArrowRightIcon = ({ width, height, color }) => {
  return /* @__PURE__ */ jsxRuntimeExports.jsx("span", { className: "sledge-icon__arrow-right", children: /* @__PURE__ */ jsxRuntimeExports.jsx("svg", { width, height, viewBox: "0 0 17 17", fill: "none", xmlns: "http://www.w3.org/2000/svg", children: /* @__PURE__ */ jsxRuntimeExports.jsx(
    "path",
    {
      d: "M5.60738 13.1302C5.42987 12.9527 5.41374 12.675 5.55897 12.4792L5.60738 12.4231L9.92027 8.11002L5.60738 3.79691C5.42987 3.6194 5.41374 3.34162 5.55897 3.14588L5.60738 3.0898C5.7849 2.91229 6.06267 2.89615 6.25841 3.04139L6.31449 3.0898L10.9812 7.75647C11.1587 7.93398 11.1748 8.21175 11.0296 8.4075L10.9812 8.46357L6.31449 13.1302C6.11923 13.3255 5.80265 13.3255 5.60738 13.1302Z",
      fill: color
    }
  ) }) });
};
const ArrowRightIcon = ({ width, height, color }) => {
  return /* @__PURE__ */ jsxRuntimeExports.jsx("span", { className: "sledge-icon__arrow-right", children: /* @__PURE__ */ jsxRuntimeExports.jsx("svg", { width, height, viewBox: "0 0 18 18", fill: "none", xmlns: "http://www.w3.org/2000/svg", children: /* @__PURE__ */ jsxRuntimeExports.jsx(
    "path",
    {
      d: "M3 8.79429C3 8.50952 3.21162 8.27418 3.48617 8.23693L3.5625 8.23179L13.4505 8.23224L9.87826 4.6746C9.65812 4.4554 9.65735 4.09925 9.87655 3.8791C10.0758 3.67897 10.3883 3.66015 10.6088 3.82306L10.672 3.87739L15.2095 8.39539C15.2386 8.42428 15.2638 8.45555 15.2852 8.48858C15.2912 8.49852 15.2973 8.50869 15.3032 8.51906C15.3085 8.52795 15.3134 8.53718 15.318 8.54652C15.3243 8.5601 15.3305 8.57413 15.3361 8.58845C15.3407 8.59949 15.3445 8.61023 15.348 8.62105C15.3522 8.63447 15.3562 8.64877 15.3597 8.66329C15.3622 8.67343 15.3643 8.68319 15.3661 8.69298C15.3686 8.70755 15.3707 8.72263 15.3722 8.73789C15.3735 8.74953 15.3743 8.76106 15.3747 8.77261C15.3749 8.77961 15.375 8.78693 15.375 8.79429L15.3747 8.81608C15.3743 8.82712 15.3735 8.83815 15.3725 8.84916L15.375 8.79429C15.375 8.82979 15.3717 8.86452 15.3654 8.89819C15.364 8.90623 15.3622 8.91449 15.3603 8.92271C15.3563 8.93964 15.3517 8.95595 15.3464 8.97194C15.3438 8.97988 15.3407 8.98837 15.3375 8.99679C15.3309 9.01371 15.3238 9.02985 15.3159 9.04557C15.3122 9.05296 15.3082 9.06069 15.3039 9.06835C15.2968 9.08084 15.2896 9.09272 15.2819 9.10429C15.2765 9.11248 15.2706 9.12101 15.2643 9.1294L15.2594 9.13588C15.2443 9.15568 15.2278 9.17444 15.2102 9.19204L15.2096 9.19256L10.6721 13.7113C10.4519 13.9305 10.0958 13.9298 9.87658 13.7097C9.67729 13.5096 9.65979 13.197 9.82363 12.9771L9.87823 12.9142L13.449 9.35724L3.5625 9.35679C3.25184 9.35679 3 9.10495 3 8.79429Z",
      fill: color
    }
  ) }) });
};
const BagIcon = ({ width, height, color }) => {
  return /* @__PURE__ */ jsxRuntimeExports.jsx("span", { className: "sledge-icon__bag", children: /* @__PURE__ */ jsxRuntimeExports.jsx("svg", { width, height, viewBox: "0 0 40 40", fill: "none", xmlns: "http://www.w3.org/2000/svg", children: /* @__PURE__ */ jsxRuntimeExports.jsx(
    "path",
    {
      fillRule: "evenodd",
      clipRule: "evenodd",
      d: "M19.6334 3.33398C23.9899 3.33398 27.5887 6.65342 28.0324 10.8989L28.1562 10.9003C30.5729 10.9003 33.5112 12.5053 34.5029 17.007L35.8179 27.1853C36.2896 30.4703 35.6996 33.1053 34.0612 34.9953C32.4312 36.8753 29.8512 37.8703 26.5996 37.8703H12.6862C9.11458 37.8703 6.62625 36.9953 5.07792 35.197C3.52292 33.3936 3.00292 30.6886 3.53292 27.1586L4.82625 17.1153C5.67625 12.5103 8.78458 10.9003 11.1912 10.9003C11.399 8.98444 12.2629 7.16182 13.6334 5.79565C15.2084 4.23065 17.3801 3.33398 19.5984 3.33398H19.6334ZM28.1562 13.4003H11.1912C10.4562 13.4003 7.99958 13.697 7.29458 17.5036L6.00792 27.5036C5.58958 30.3086 5.91292 32.3386 6.97125 33.567C8.01625 34.7803 9.88625 35.3703 12.6862 35.3703H26.5996C28.3462 35.3703 30.7312 35.022 32.1712 33.3586C33.3146 32.0403 33.7079 30.077 33.3412 27.522L32.0429 17.4353C31.4896 14.9503 30.0296 13.4003 28.1562 13.4003ZM24.4942 18.0405C25.1842 18.0405 25.7826 18.6005 25.7826 19.2905C25.7826 19.9805 25.2609 20.5405 24.5709 20.5405H24.4942C23.8042 20.5405 23.2442 19.9805 23.2442 19.2905C23.2442 18.6005 23.8042 18.0405 24.4942 18.0405ZM14.7774 18.0405C15.4674 18.0405 16.0657 18.6005 16.0657 19.2905C16.0657 19.9805 15.5424 20.5405 14.8524 20.5405H14.7774C14.0874 20.5405 13.5274 19.9805 13.5274 19.2905C13.5274 18.6005 14.0874 18.0405 14.7774 18.0405ZM19.6284 5.83398H19.6034C18.0351 5.83398 16.5067 6.46565 15.3984 7.56732C14.4956 8.46609 13.9051 9.64764 13.7141 10.8995L25.5129 10.9C25.0846 8.03628 22.6082 5.83398 19.6284 5.83398Z",
      fill: color
    }
  ) }) });
};
const CheckIcon = ({ width, height, color }) => {
  return /* @__PURE__ */ jsxRuntimeExports.jsx("span", { className: "sledge-icon__check", children: /* @__PURE__ */ jsxRuntimeExports.jsx("svg", { width, height, viewBox: "0 0 15 15", fill: "none", xmlns: "http://www.w3.org/2000/svg", children: /* @__PURE__ */ jsxRuntimeExports.jsx("path", { d: "M5.90625 11.1562L2.40625 7.65625L3.07812 6.98438L5.90625 9.8125L11.9062 3.8125L12.5781 4.48438L5.90625 11.1562Z", fill: color }) }) });
};
const CloseIcon = ({ width, height, color }) => {
  return /* @__PURE__ */ jsxRuntimeExports.jsx("span", { className: "sledge-icon__close", children: /* @__PURE__ */ jsxRuntimeExports.jsx("svg", { width, height, viewBox: "0 0 24 24", fill: "none", xmlns: "http://www.w3.org/2000/svg", children: /* @__PURE__ */ jsxRuntimeExports.jsx(
    "path",
    {
      d: "M6.22578 18.8248L5.17578 17.7748L10.9508 11.9998L5.17578 6.2248L6.22578 5.1748L12.0008 10.9498L17.7758 5.1748L18.8258 6.2248L13.0508 11.9998L18.8258 17.7748L17.7758 18.8248L12.0008 13.0498L6.22578 18.8248Z",
      fill: color
    }
  ) }) });
};
const StarIcon = ({ width, height, color }) => {
  return /* @__PURE__ */ jsxRuntimeExports.jsx("span", { className: "sledge-icon__star", children: /* @__PURE__ */ jsxRuntimeExports.jsx("svg", { width, height, viewBox: "0 0 32 33", fill: "none", xmlns: "http://www.w3.org/2000/svg", children: /* @__PURE__ */ jsxRuntimeExports.jsx(
    "path",
    {
      d: "M8.68841 19.8162L8.75567 19.4179L8.44456 19.1604L2.64616 14.3604L2.64622 14.3603L2.63697 14.3529C2.02964 13.8672 2.28424 12.8955 3.04396 12.7636L11.2293 12.3989L11.6809 12.3788L11.8484 11.959L15.3475 3.18648C15.4773 2.94796 15.7259 2.79961 15.9982 2.79961C16.2692 2.79961 16.5188 2.94848 16.6491 3.18698L20.148 11.959L20.3155 12.3788L20.767 12.3989L28.9524 12.7636C29.7121 12.8955 29.9667 13.8672 29.3594 14.3529L29.3593 14.3528L29.3502 14.3604L23.5518 19.1604L23.2407 19.4179L23.308 19.8162L24.8887 29.1774C24.9836 29.8833 24.2616 30.4104 23.6226 30.1159L16.3737 25.5088L15.9983 25.2702L15.6228 25.5088L8.37397 30.1141C7.73341 30.409 7.01273 29.8817 7.1077 29.1758L8.68841 19.8162Z",
      stroke: color,
      strokeWidth: "1.4"
    }
  ) }) });
};
const UploadIcon = ({ width, height, color }) => {
  return /* @__PURE__ */ jsxRuntimeExports.jsx("span", { className: "sledge-icon__upload", children: /* @__PURE__ */ jsxRuntimeExports.jsx("svg", { width, height, viewBox: "0 0 32 32", fill: "none", xmlns: "http://www.w3.org/2000/svg", children: /* @__PURE__ */ jsxRuntimeExports.jsx(
    "path",
    {
      fillRule: "evenodd",
      clipRule: "evenodd",
      d: "M9.8253 11.7254C10.3773 11.7254 10.8253 12.1734 10.8253 12.7254C10.8253 13.2774 10.3773 13.7254 9.8253 13.7254H8.5813C6.42264 13.7254 4.66797 15.4801 4.66797 17.6374V24.1374C4.66797 26.2961 6.42264 28.0507 8.5813 28.0507H23.4213C25.5786 28.0507 27.3346 26.2961 27.3346 24.1374V17.6254C27.3346 15.4747 25.5853 13.7254 23.436 13.7254H22.1786C21.6266 13.7254 21.1786 13.2774 21.1786 12.7254C21.1786 12.1734 21.6266 11.7254 22.1786 11.7254H23.436C26.688 11.7254 29.3346 14.3721 29.3346 17.6254V24.1374C29.3346 27.3987 26.6813 30.0507 23.4213 30.0507H8.5813C5.3213 30.0507 2.66797 27.3987 2.66797 24.1374V17.6374C2.66797 14.3774 5.3213 11.7254 8.5813 11.7254H9.8253ZM16.7088 2.9622L20.5968 6.8662C20.9861 7.2582 20.9848 7.8902 20.5941 8.27953C20.2021 8.66887 19.5701 8.66887 19.1808 8.27687L17 6.08853L17.0008 20.7213H15.0008L15 6.08853L12.8221 8.27687C12.6274 8.4742 12.3701 8.57153 12.1141 8.57153C11.8594 8.57153 11.6034 8.4742 11.4088 8.27953C11.0181 7.8902 11.0154 7.2582 11.4061 6.8662L15.2928 2.9622C15.6674 2.58487 16.3341 2.58487 16.7088 2.9622Z",
      fill: color
    }
  ) }) });
};
const SearchIcon = ({ width, height, color }) => {
  return /* @__PURE__ */ jsxRuntimeExports.jsx("span", { className: "sledge-icon__search", children: /* @__PURE__ */ jsxRuntimeExports.jsx("svg", { width, height, viewBox: "0 0 20 21", fill: "none", xmlns: "http://www.w3.org/2000/svg", children: /* @__PURE__ */ jsxRuntimeExports.jsx(
    "path",
    {
      fillRule: "evenodd",
      clipRule: "evenodd",
      d: "M9.78283 2.16669C14.2578 2.16669 17.8978 5.80669 17.8978 10.2817C17.8978 12.393 17.0876 14.3186 15.7617 15.7638L18.3707 18.3673C18.6148 18.6114 18.6157 19.0064 18.3715 19.2506C18.2498 19.3739 18.089 19.4348 17.929 19.4348C17.7698 19.4348 17.6098 19.3739 17.4873 19.2523L14.8469 16.6192C13.4579 17.7316 11.6967 18.3975 9.78283 18.3975C5.30783 18.3975 1.66699 14.7567 1.66699 10.2817C1.66699 5.80669 5.30783 2.16669 9.78283 2.16669ZM9.78283 3.41669C5.99699 3.41669 2.91699 6.49585 2.91699 10.2817C2.91699 14.0675 5.99699 17.1475 9.78283 17.1475C13.5678 17.1475 16.6478 14.0675 16.6478 10.2817C16.6478 6.49585 13.5678 3.41669 9.78283 3.41669Z",
      fill: color
    }
  ) }) });
};
const Button$1 = "";
const Button = React__default.forwardRef((props, buttonRef) => {
  const { className = "", children, colorType = "light", fullWidth = false, elementType = "button", link = "", ...otherProps } = props;
  return elementType === "hyperlink" && (link == null ? void 0 : link.length) ? /* @__PURE__ */ jsxRuntimeExports.jsx("a", { href: link, className: `sledge__button ${className || ""}`, "data-button-color-type": colorType, "data-button-full-width": fullWidth, ref: buttonRef, ...otherProps, children }) : /* @__PURE__ */ jsxRuntimeExports.jsx("button", { className: `sledge__button ${className || ""}`, "data-button-color-type": colorType, "data-button-full-width": fullWidth, ref: buttonRef, ...otherProps, children });
});
const SearchInputField$1 = "";
const SearchInputField = (props) => {
  const { className = "", icon, value = "", withClearField, onChange, onResetField, fieldRef, ...otherProps } = props;
  const [isVisibleClearField, setIsVisibleClearField] = React__default.useState(false);
  const handleResetField = () => {
    (fieldRef == null ? void 0 : fieldRef.current) && fieldRef.current.focus();
    onChange && onChange({ value: "" });
    onResetField && onResetField();
  };
  const handleChangeField = (e) => {
    onChange && onChange({ value: e.target.value });
  };
  React__default.useEffect(() => {
    setIsVisibleClearField(Boolean(value));
  }, [value]);
  return /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: `sledge__search-input-field-wrapper ${className || ""}`, children: [
    !icon ? null : /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge__search-input-field-icon", children: icon }),
    /* @__PURE__ */ jsxRuntimeExports.jsx("input", { className: "sledge__search-input-field", value, onChange: (e) => handleChangeField(e), ref: fieldRef, ...otherProps }),
    isVisibleClearField && withClearField ? /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge__clear-field-wrapper", children: /* @__PURE__ */ jsxRuntimeExports.jsx("button", { className: "sledge__clear-field", type: "button", onClick: handleResetField, children: /* @__PURE__ */ jsxRuntimeExports.jsx("svg", { viewBox: "0 0 20 20", focusable: "false", "aria-hidden": "true", width: 14, height: 14, children: /* @__PURE__ */ jsxRuntimeExports.jsx("path", { d: "m11.414 10 6.293-6.293a1 1 0 1 0-1.414-1.414l-6.293 6.293-6.293-6.293a1 1 0 0 0-1.414 1.414l6.293 6.293-6.293 6.293a1 1 0 1 0 1.414 1.414l6.293-6.293 6.293 6.293a.998.998 0 0 0 1.707-.707.999.999 0 0 0-.293-.707l-6.293-6.293z" }) }) }) }) : null
  ] });
};
const SelectField$1 = "";
const SelectField = (props) => {
  var _a;
  const { className = "", placeholder = null, prefixLabel = null, prefixSelectedLabel = "", align = "end", onChange, value = "", options = [] } = props;
  const [isOpen, setIsOpen] = React__default.useState(false);
  const handleChangeField = (label, value2) => {
    onChange && onChange({ label, value: value2 });
    setIsOpen(false);
  };
  const selectedLabel = ((_a = options == null ? void 0 : options.filter(({ value: optionValue }) => optionValue === value)[0]) == null ? void 0 : _a.label) || placeholder;
  return /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: `sledge__select-field-wrapper ${className || ""}`, children: /* @__PURE__ */ jsxRuntimeExports.jsx(
    Popover,
    {
      trigger: /* @__PURE__ */ jsxRuntimeExports.jsxs("button", { type: "button", className: "sledge__button sledge__select-field", "data-button-color-type": "light", "data-button-full-width": "true", children: [
        !prefixLabel ? null : /* @__PURE__ */ jsxRuntimeExports.jsx("span", { className: "sledge__select-field-icon", children: prefixLabel }),
        /* @__PURE__ */ jsxRuntimeExports.jsx("span", { children: (prefixSelectedLabel == null ? void 0 : prefixSelectedLabel.length) ? `${prefixSelectedLabel} ${selectedLabel}` : selectedLabel })
      ] }),
      content: /* @__PURE__ */ jsxRuntimeExports.jsx("ul", { className: "sledge__select-field-option", children: options == null ? void 0 : options.map((option, index) => {
        const { label, value: optionValue } = option;
        return /* @__PURE__ */ jsxRuntimeExports.jsx(
          "li",
          {
            onClick: () => handleChangeField(label, optionValue),
            ...optionValue === value && {
              ["data-selected"]: true
            },
            children: label
          },
          index
        );
      }) }),
      isOpen,
      setIsOpen,
      hideCloseIcon: true,
      align,
      className: "sledge__select-field-option-content",
      withArrow: false
    }
  ) });
};
const ProductGrid$1 = "";
const addToCart = async (data) => {
  var _a;
  var myHeaders = new Headers();
  myHeaders.append("Content-Type", "application/json");
  let items = [];
  data.map((item) => {
    const { id, quantity } = item;
    items.push({
      id,
      quantity
    });
  });
  var raw = JSON.stringify({
    items
  });
  var requestOptions = {
    method: "POST",
    headers: myHeaders,
    body: raw,
    redirect: "follow"
  };
  if (!((_a = window == null ? void 0 : window.Shopify) == null ? void 0 : _a.routes))
    return;
  return await fetch(`${window.Shopify.routes.root}cart/add.js`, requestOptions).then((response) => response.json()).then((result) => {
    return result;
  }).catch(() => {
    return;
  });
};
const Badge = "";
const sanitizeDataId = (id) => {
  if (!id)
    return "";
  let getId = String(id);
  if (getId.includes("shopify") && getId.includes("/")) {
    let arrId = getId.split("/");
    return arrId[arrId.length - 1] || getId;
  } else {
    return getId;
  }
};
const getTextBetween = (start, end, text) => {
  if (start && text.includes(start) && end && text.includes(end)) {
    let getText = text.indexOf(start) + start.length;
    return text.substring(getText, text.indexOf(end, getText));
  } else {
    return text;
  }
};
const replaceString = (str, find, replace) => {
  for (var i = 0; i < find.length; i++) {
    str = str.replace(new RegExp(find[i], "gi"), replace[i]);
  }
  return str;
};
const addWishlist = async (data) => {
  const { productId, productVariantId, productName, productVendor, productSku, productVariantName, productLink, productImage, productCurrency, productPrice } = data;
  let sledgeAuthApp = localStorage.getItem(LOCAL_STORAGE_KEY.AUTH_APP);
  var myHeaders = new Headers();
  myHeaders.append("Authorization", `Bearer ${sledgeAuthApp}`);
  myHeaders.append("Content-Type", "application/json");
  var raw = JSON.stringify({
    product: {
      id: sanitizeDataId(productId),
      variant_id: sanitizeDataId(productVariantId),
      name: productName,
      vendor: productVendor,
      sku: productSku,
      variant_name: productVariantName,
      url: productLink,
      image_url: productImage,
      currency: productCurrency,
      price: productPrice
    }
  });
  var requestOptions = {
    method: "POST",
    headers: myHeaders,
    body: raw,
    redirect: "follow"
  };
  return await fetch(`${API_URL}/wishlist`, requestOptions).then((response) => response.json()).then((result) => {
    return result;
  }).catch(() => {
    return;
  });
};
const bulkAddWishlist = async (data) => {
  let sledgeAuthApp = localStorage.getItem(LOCAL_STORAGE_KEY.AUTH_APP);
  var myHeaders = new Headers();
  myHeaders.append("Authorization", `Bearer ${sledgeAuthApp}`);
  myHeaders.append("Content-Type", "application/json");
  let products = data.map((item) => {
    const { productId, productVariantId, productName, productVariantName, productLink, productImage, productCurrency, productPrice } = item;
    return {
      id: sanitizeDataId(productId),
      variant_id: sanitizeDataId(productVariantId),
      name: productName,
      variant_name: productVariantName,
      url: productLink,
      image_url: productImage,
      currency: productCurrency,
      price: productPrice
    };
  });
  var raw = JSON.stringify({
    products
  });
  var requestOptions = {
    method: "POST",
    headers: myHeaders,
    body: raw,
    redirect: "follow"
  };
  return await fetch(`${API_URL}/wishlist/bulk`, requestOptions).then((response) => response.json()).then((result) => {
    return result;
  }).catch(() => {
    return;
  });
};
const checkWishlist = async (id, variantId) => {
  let convertId = sanitizeDataId(id);
  let convertVariantId = variantId ? sanitizeDataId(variantId) : "";
  let sledgeAuthApp = localStorage.getItem(LOCAL_STORAGE_KEY.AUTH_APP);
  let queryParams = "?" + new URLSearchParams({
    variant_id: convertVariantId
  }).toString();
  var myHeaders = new Headers();
  myHeaders.append("Authorization", `Bearer ${sledgeAuthApp}`);
  var requestOptions = {
    method: "GET",
    headers: myHeaders,
    redirect: "follow"
  };
  return await fetch(`${API_URL}/wishlist/check/${convertId}${queryParams}`, requestOptions).then((response) => response.json()).then((result) => {
    return Boolean(result.data);
  }).catch(() => {
    return;
  });
};
const addToCartTrigger$1 = async (data) => {
  const { productId } = data;
  let sledgeAuthApp = localStorage.getItem(LOCAL_STORAGE_KEY.AUTH_APP);
  var myHeaders = new Headers();
  myHeaders.append("Authorization", `Bearer ${sledgeAuthApp}`);
  myHeaders.append("Content-Type", "application/json");
  var raw = JSON.stringify({
    product: {
      id: sanitizeDataId(productId)
    }
  });
  var requestOptions = {
    method: "POST",
    headers: myHeaders,
    body: raw,
    redirect: "follow"
  };
  return await fetch(`${API_URL}/wishlist/cart`, requestOptions).then((response) => response.json()).then((result) => {
    return result;
  }).catch(() => {
    return;
  });
};
const ButtonDetail = "";
const Trigger$1 = "";
const Trigger = (props) => {
  var _a, _b, _c;
  const { data, forceActive, hidden, onAfterAddWishlist, onAfterRemoveWishlist } = props;
  const { productId, productVariantId } = data || {};
  const { isRenderApp } = React__default.useContext(SledgeContext$1);
  const defaultColorIcon = "#767676";
  const defaultTypeIcon = "outline";
  const activeColorIcon = "#F85538";
  const activeTypeIcon = "fill";
  const [colorIcon, setColorIcon] = React__default.useState(defaultColorIcon);
  const [typeIcon, setTypeIcon] = React__default.useState(defaultTypeIcon);
  const [isWishlist, setIsWishlist] = React__default.useState(false);
  const [isLoading, setIsLoading] = React__default.useState(true);
  const [dataSettings, setDataSettings] = React__default.useState({});
  const [handleFunctions, _setHandleFunctions] = React__default.useState({
    onAfterAddWishlist,
    onAfterRemoveWishlist
  });
  const [isRequiredLogin, setIsRequiredLogin] = React__default.useState(false);
  const { is_required_login } = ((_a = dataSettings == null ? void 0 : dataSettings.display) == null ? void 0 : _a.global) || {};
  const { show: show_notification, location: location_notification } = ((_b = dataSettings == null ? void 0 : dataSettings.display) == null ? void 0 : _b.notification) || {};
  const { title_added_to_wishlist, text_added_to_wishlist, title_removed_to_wishlist, text_removed_to_wishlist } = ((_c = dataSettings == null ? void 0 : dataSettings.languages) == null ? void 0 : _c.notification) || {};
  const handleCheckWishlist = async () => {
    let response;
    response = await checkWishlist(productId, productVariantId);
    setIsWishlist(response);
  };
  const handleClick = async (e) => {
    e.preventDefault();
    e.stopPropagation();
    if (isRequiredLogin) {
      if (typeof window !== "undefined" && window.sledgeConfirmationPopup)
        window.sledgeConfirmationPopup({
          title: "Login required!",
          message: "Please login to save your wishlist across devices.",
          textSubmit: "Login",
          textCancel: "Cancel",
          buttonSubmitType: "info",
          onSubmit: () => window.location.href = "/account/login"
        });
      return;
    }
    setIsWishlist(!isWishlist);
    let resAddWishlist = await addWishlist(data);
    const { status, data: response_data } = resAddWishlist || {};
    const { code } = status || {};
    if (code === 200) {
      if (typeof window !== "undefined") {
        if (window.sledgeWishlistBadgeUpdate)
          window.sledgeWishlistBadgeUpdate();
        if (window.sledgeWishlistWidgetListUpdate)
          window.sledgeWishlistWidgetListUpdate();
        if (window.sledgeWishlistButtonDetailUpdate)
          window.sledgeWishlistButtonDetailUpdate();
      }
      handleCheckWishlist();
      if (!isWishlist) {
        handleFunctions.onAfterAddWishlist && handleFunctions.onAfterAddWishlist("success");
      } else {
        handleFunctions.onAfterRemoveWishlist && handleFunctions.onAfterRemoveWishlist("success");
      }
      if (typeof window !== "undefined" && window.sledgeToastNotification && show_notification)
        window.sledgeToastNotification({
          title: !isWishlist ? title_added_to_wishlist : title_removed_to_wishlist,
          message: !isWishlist ? text_added_to_wishlist : text_removed_to_wishlist,
          location: location_notification,
          type: "success",
          icon: /* @__PURE__ */ jsxRuntimeExports.jsx(HeartIcon, { width: 40, height: 40, color: "black", type: "outline" })
        });
    } else {
      if (!isWishlist) {
        handleFunctions.onAfterAddWishlist && handleFunctions.onAfterAddWishlist("failed");
      } else {
        handleFunctions.onAfterRemoveWishlist && handleFunctions.onAfterRemoveWishlist("failed");
      }
      if (typeof window !== "undefined" && window.sledgeToastNotification && show_notification)
        window.sledgeToastNotification({
          title: "Failed",
          message: "failed add to wishlist",
          location: location_notification,
          type: "failed",
          icon: /* @__PURE__ */ jsxRuntimeExports.jsx(HeartIcon, { width: 40, height: 40, color: "black", type: "outline" })
        });
    }
  };
  const handleSettings = async (LOCAL_STORAGE_WISHLIST_SETTING) => {
    setIsLoading(true);
    let response;
    let run = false;
    response = JSON.parse(LOCAL_STORAGE_WISHLIST_SETTING);
    if (!response)
      return;
    const { status, data: data2 } = response;
    const { code } = status;
    run = code === 200 || false;
    if (run) {
      setDataSettings(data2);
      setIsLoading(false);
    }
  };
  React__default.useEffect(() => {
    if (!(isRenderApp == null ? void 0 : isRenderApp.wishlist))
      return;
    if (typeof window !== "undefined") {
      window.sledgeWishlistTriggerUpdate = () => {
        handleCheckWishlist();
      };
    }
    setIsRequiredLogin(localStorage.getItem(LOCAL_STORAGE_KEY.ANONYM_ID) && is_required_login);
    handleSettings(localStorage.getItem(LOCAL_STORAGE_KEY.WISHLIST_SETTING) || "");
  }, [isRenderApp]);
  React__default.useEffect(() => {
    handleCheckWishlist();
  }, [productVariantId]);
  const isActive = (isWishlist || forceActive) && !isRequiredLogin;
  React__default.useEffect(() => {
    if (isActive) {
      setColorIcon(activeColorIcon);
      setTypeIcon(activeTypeIcon);
    } else {
      setColorIcon(defaultColorIcon);
      setTypeIcon(defaultTypeIcon);
    }
  }, [isWishlist]);
  return /* @__PURE__ */ jsxRuntimeExports.jsx(jsxRuntimeExports.Fragment, { children: !isLoading && !hidden && /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-wishlist__trigger-block", children: /* @__PURE__ */ jsxRuntimeExports.jsx(
    "span",
    {
      className: "sledge-wishlist__trigger",
      onClick: (e) => handleClick(e),
      onMouseEnter: () => {
        if (isActive)
          return;
        setColorIcon(activeColorIcon);
        setTypeIcon(activeTypeIcon);
      },
      onMouseLeave: () => {
        if (isActive)
          return;
        setColorIcon(defaultColorIcon);
        setTypeIcon(defaultTypeIcon);
      },
      children: /* @__PURE__ */ jsxRuntimeExports.jsx(HeartIcon, { width: 16.67, height: 15.83, type: typeIcon, color: colorIcon })
    }
  ) }) });
};
const Widget$1 = "";
const WidgetHeaderClearTrigger = ({ buttonText, shareId, dataSettings, isFirstLoading }) => {
  var _a, _b, _c, _d, _e;
  const { is_required_login } = ((_a = dataSettings == null ? void 0 : dataSettings.display) == null ? void 0 : _a.global) || {};
  const {
    text_color: display_button_clear_all_text_color,
    border_color: display_button_clear_all_border_color,
    border_radius: display_button_clear_all_border_radius,
    padding_top: display_button_clear_all_padding_top,
    padding_bottom: display_button_clear_all_padding_bottom,
    padding_left: display_button_clear_all_padding_left,
    padding_right: display_button_clear_all_padding_right,
    background_color: display_button_clear_all_background_color,
    font_size: display_button_clear_all_font_size,
    font_weight: display_button_clear_all_font_weight,
    text_transform: display_button_clear_all_text_transform
  } = ((_c = (_b = dataSettings == null ? void 0 : dataSettings.display) == null ? void 0 : _b.widget) == null ? void 0 : _c.button_clear_all) || {};
  const { title_confirm_clear_all_wishlist, text_confirm_clear_all_wishlist, button_submit_confirm_clear_all_wishlist, button_cancel_confirm_clear_all_wishlist } = ((_d = dataSettings == null ? void 0 : dataSettings.languages) == null ? void 0 : _d.popup) || {};
  const { button_clear_all } = ((_e = dataSettings == null ? void 0 : dataSettings.languages) == null ? void 0 : _e.widget) || {};
  const [isRequiredLogin, setIsRequiredLogin] = React__default.useState(false);
  const display_button_clear_all_style = {
    ...display_button_clear_all_text_color && { color: display_button_clear_all_text_color },
    ...display_button_clear_all_border_color && { borderColor: display_button_clear_all_border_color },
    ...display_button_clear_all_border_radius && { borderRadius: display_button_clear_all_border_radius },
    ...display_button_clear_all_padding_top && { paddingTop: display_button_clear_all_padding_top },
    ...display_button_clear_all_padding_bottom && { paddingBottom: display_button_clear_all_padding_bottom },
    ...display_button_clear_all_padding_left && { paddingLeft: display_button_clear_all_padding_left },
    ...display_button_clear_all_padding_right && { paddingRight: display_button_clear_all_padding_right },
    ...display_button_clear_all_background_color && { backgroundColor: display_button_clear_all_background_color },
    ...display_button_clear_all_font_size && { fontSize: display_button_clear_all_font_size },
    ...display_button_clear_all_font_weight && { fontWeight: display_button_clear_all_font_weight },
    ...display_button_clear_all_text_transform && { textTransform: display_button_clear_all_text_transform }
  };
  React__default.useEffect(() => {
    setIsRequiredLogin(localStorage.getItem(LOCAL_STORAGE_KEY.ANONYM_ID) && is_required_login);
  }, []);
  const handleClick = () => {
    if (typeof window !== "undefined" && window.sledgeConfirmationPopup)
      window.sledgeConfirmationPopup({
        title: title_confirm_clear_all_wishlist,
        message: text_confirm_clear_all_wishlist,
        textSubmit: button_submit_confirm_clear_all_wishlist,
        textCancel: button_cancel_confirm_clear_all_wishlist,
        buttonSubmitType: "danger",
        onSubmit: window.sledgeWishlistWidgetClearList || {}
      });
  };
  return /* @__PURE__ */ jsxRuntimeExports.jsx(jsxRuntimeExports.Fragment, { children: !isRequiredLogin && /* @__PURE__ */ jsxRuntimeExports.jsx(jsxRuntimeExports.Fragment, { children: !shareId && /* @__PURE__ */ jsxRuntimeExports.jsx(jsxRuntimeExports.Fragment, { children: isFirstLoading ? /* @__PURE__ */ jsxRuntimeExports.jsx(SkeletonLoading.Item, { width: "132px", height: "46px", color: "grey-100", rounded: "md" }) : /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-wishlist__widget-header-item", children: /* @__PURE__ */ jsxRuntimeExports.jsx(Button, { type: "button", colorType: "danger", onClick: handleClick, style: display_button_clear_all_style, children: button_clear_all ? button_clear_all : buttonText || "Clear Wishlist" }) }) }) }) });
};
const WidgetHeaderShareTrigger = ({ wishlistData, buttonText, showShareTrigger, shareLink, shareId, dataSettings, isFirstLoading }) => {
  var _a, _b, _c, _d, _e, _f;
  const { is_required_login } = ((_a = dataSettings == null ? void 0 : dataSettings.display) == null ? void 0 : _a.global) || {};
  const {
    text_color: display_button_share_text_color,
    border_color: display_button_share_border_color,
    border_radius: display_button_share_border_radius,
    padding_top: display_button_share_padding_top,
    padding_bottom: display_button_share_padding_bottom,
    padding_left: display_button_share_padding_left,
    padding_right: display_button_share_padding_right,
    background_color: display_button_share_background_color,
    font_size: display_button_share_font_size,
    font_weight: display_button_share_font_weight,
    text_transform: display_button_share_text_transform
  } = ((_c = (_b = dataSettings == null ? void 0 : dataSettings.display) == null ? void 0 : _b.widget) == null ? void 0 : _c.button_share) || {};
  const { title_share_wishlist } = ((_d = dataSettings == null ? void 0 : dataSettings.languages) == null ? void 0 : _d.popup) || {};
  const { button_share } = ((_e = dataSettings == null ? void 0 : dataSettings.languages) == null ? void 0 : _e.widget) || {};
  const { title_added_all_to_wishlist, text_added_all_to_wishlist } = ((_f = dataSettings == null ? void 0 : dataSettings.languages) == null ? void 0 : _f.notification) || {};
  const [isRequiredLogin, setIsRequiredLogin] = React__default.useState(false);
  const display_button_share_style = {
    ...display_button_share_text_color && { color: display_button_share_text_color },
    ...display_button_share_border_color && { borderColor: display_button_share_border_color },
    ...display_button_share_border_radius && { borderRadius: display_button_share_border_radius },
    ...display_button_share_padding_top && { paddingTop: display_button_share_padding_top },
    ...display_button_share_padding_bottom && { paddingBottom: display_button_share_padding_bottom },
    ...display_button_share_padding_left && { paddingLeft: display_button_share_padding_left },
    ...display_button_share_padding_right && { paddingRight: display_button_share_padding_right },
    ...display_button_share_background_color && { backgroundColor: display_button_share_background_color },
    ...display_button_share_font_size && { fontSize: display_button_share_font_size },
    ...display_button_share_font_weight && { fontWeight: display_button_share_font_weight },
    ...display_button_share_text_transform && { textTransform: display_button_share_text_transform }
  };
  const [isLoadingBulkAdd, setIsLoadingBulkAdd] = React__default.useState(false);
  let clipboardIcon = `<svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
    <path d="M15 17V20C15 20.2652 14.8946 20.5196 14.7071 20.7071C14.5196 20.8946 14.2652 21 14 21H4C3.73478 21 3.48043 20.8946 3.29289 20.7071C3.10536 20.5196 3 20.2652 3 20V8C3 7.73478 3.10536 7.48043 3.29289 7.29289C3.48043 7.10536 3.73478 7 4 7H7" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
    <path d="M18 3H8C7.44772 3 7 3.44772 7 4V16C7 16.5523 7.44772 17 8 17H18C18.5523 17 19 16.5523 19 16V4C19 3.44772 18.5523 3 18 3Z" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
    </svg>`;
  let checkIcon = `<svg width="20" height="20" viewBox="0 0 15 15" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M11.4669 3.72684C11.7558 3.91574 11.8369 4.30308 11.648 4.59198L7.39799 11.092C7.29783 11.2452 7.13556 11.3467 6.95402 11.3699C6.77247 11.3931 6.58989 11.3355 6.45446 11.2124L3.70446 8.71241C3.44905 8.48022 3.43023 8.08494 3.66242 7.82953C3.89461 7.57412 4.28989 7.55529 4.5453 7.78749L6.75292 9.79441L10.6018 3.90792C10.7907 3.61902 11.178 3.53795 11.4669 3.72684Z" fill="currentColor" fill-rule="evenodd" clip-rule="evenodd"></path></svg>`;
  const handleBulkAddWishlist = async () => {
    var _a2;
    setIsLoadingBulkAdd(true);
    let data = wishlistData.map((item) => {
      const { id, variant_id, name, variant_name, url, image_url, currency, price } = item.product;
      return {
        productId: id,
        productVariantId: variant_id,
        productName: name,
        productVariantName: variant_name,
        productLink: url,
        productImage: image_url,
        productCurrency: currency,
        productPrice: price
      };
    });
    let resBulkAddWishlist = await bulkAddWishlist(data);
    if (((_a2 = resBulkAddWishlist == null ? void 0 : resBulkAddWishlist.status) == null ? void 0 : _a2.code) === 200) {
      if (typeof window !== "undefined") {
        if (window.sledgeWishlistBadgeUpdate)
          window.sledgeWishlistBadgeUpdate();
        if (window.sledgeInfoPopup)
          window.sledgeInfoPopup({
            title: title_added_all_to_wishlist,
            message: text_added_all_to_wishlist,
            textCancel: "Cancel"
          });
      }
      setIsLoadingBulkAdd(false);
    } else {
      if (typeof window !== "undefined" && window.sledgeInfoPopup)
        window.sledgeInfoPopup({
          title: "Failed",
          message: "Failed add to wishlist, please try again",
          textCancel: "Cancel"
        });
    }
  };
  const handleCopyShareLink = () => {
    let running = true;
    document.body.addEventListener("DOMNodeInserted", () => {
      let boxCopyElement = document.querySelector(".sledge-wishlist__widget-box-copy");
      if (boxCopyElement && running) {
        running = false;
        let copyTriggerElement = document.querySelector(".sledge-wishlist__widget-box-copy-icon");
        copyTriggerElement == null ? void 0 : copyTriggerElement.addEventListener("click", () => {
          var _a2;
          let shareLink2 = (_a2 = document.querySelector(".sledge-wishlist__widget-box-copy-content")) == null ? void 0 : _a2.textContent;
          if (shareLink2) {
            navigator.clipboard.writeText(shareLink2);
            if (copyTriggerElement) {
              copyTriggerElement.classList.add("active");
              copyTriggerElement.innerHTML = checkIcon;
              setTimeout(() => {
                if (copyTriggerElement) {
                  copyTriggerElement.classList.remove("active");
                  copyTriggerElement.innerHTML = clipboardIcon;
                }
              }, 2500);
            }
          }
        });
      }
    });
  };
  const handleClick = async () => {
    if (shareId && wishlistData.length) {
      window.sledgeConfirmationPopup({
        title: "Are you sure want to add this to your wishlist item?",
        message: `This action cannot be undone. This will adding <strong>${wishlistData.length}</strong> item to your wishlist page.`,
        textSubmit: "Add to your wishlist",
        textCancel: "Cancel",
        buttonSubmitType: "info",
        onSubmit: handleBulkAddWishlist || {}
      });
    } else {
      if (typeof window !== "undefined" && window.sledgeInfoPopup) {
        window.sledgeInfoPopup({
          title: title_share_wishlist,
          message: shareLink ? `<div class="sledge-wishlist__widget-box-copy">
                                <div class="sledge-wishlist__widget-box-copy-icon" title="Copy to clipboard">
                                    ${clipboardIcon}
                                </div>
                                <div class="sledge-wishlist__widget-box-copy-content">${shareLink}</div>
                            </div>` : "",
          textCancel: "Cancel"
        });
        handleCopyShareLink();
      }
    }
  };
  React__default.useEffect(() => {
    setIsRequiredLogin(localStorage.getItem(LOCAL_STORAGE_KEY.ANONYM_ID) && is_required_login);
  }, []);
  return /* @__PURE__ */ jsxRuntimeExports.jsx(jsxRuntimeExports.Fragment, { children: !isRequiredLogin && /* @__PURE__ */ jsxRuntimeExports.jsx(jsxRuntimeExports.Fragment, { children: showShareTrigger && /* @__PURE__ */ jsxRuntimeExports.jsx(jsxRuntimeExports.Fragment, { children: isFirstLoading ? /* @__PURE__ */ jsxRuntimeExports.jsx(SkeletonLoading.Item, { width: "136px", height: "46px", color: "grey-100", rounded: "md" }) : /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-wishlist__widget-header-item sledge-wishlist__widget-header-share-trigger", children: /* @__PURE__ */ jsxRuntimeExports.jsx(
    Button,
    {
      type: "button",
      style: display_button_share_style,
      ...shareId && !wishlistData.length || isLoadingBulkAdd ? {
        disabled: true
      } : {
        onClick: handleClick
      },
      children: shareId ? /* @__PURE__ */ jsxRuntimeExports.jsxs(jsxRuntimeExports.Fragment, { children: [
        /* @__PURE__ */ jsxRuntimeExports.jsx("span", { className: "sledge-wishlist__badge-counter sledge-wishlist__badge-counter-top-right", children: wishlistData.length }),
        isLoadingBulkAdd ? "Adding..." : "Add to your wishlist"
      ] }) : button_share ? button_share : buttonText || "Share Wishlist"
    }
  ) }) }) }) });
};
const WidgetHeaderSearchForm = ({ setIsLoading, setKeyword, keyword, placeholder, dataSettings }) => {
  var _a, _b;
  const { is_required_login } = ((_a = dataSettings == null ? void 0 : dataSettings.display) == null ? void 0 : _a.global) || {};
  const { search_form_placeholder } = ((_b = dataSettings == null ? void 0 : dataSettings.languages) == null ? void 0 : _b.widget) || {};
  const [isRequiredLogin, setIsRequiredLogin] = React__default.useState(false);
  const searchFieldRef = React__default.useRef(null);
  const handleResetField = () => {
    var _a2;
    setIsLoading && setIsLoading(true);
    setKeyword && setKeyword("");
    (_a2 = searchFieldRef == null ? void 0 : searchFieldRef.current) == null ? void 0 : _a2.focus();
  };
  const handleChangeField = (value) => {
    setKeyword && setKeyword(value);
  };
  React__default.useEffect(() => {
    setIsRequiredLogin(localStorage.getItem(LOCAL_STORAGE_KEY.ANONYM_ID) && is_required_login);
  }, []);
  return /* @__PURE__ */ jsxRuntimeExports.jsx(jsxRuntimeExports.Fragment, { children: !isRequiredLogin && /* @__PURE__ */ jsxRuntimeExports.jsx(
    SearchInputField,
    {
      type: "text",
      icon: /* @__PURE__ */ jsxRuntimeExports.jsx(SearchIcon, { width: 18, height: 18, color: "#868686" }),
      placeholder: search_form_placeholder ? search_form_placeholder : placeholder || "Search product...",
      value: keyword,
      fieldRef: searchFieldRef,
      onChange: ({ value }) => handleChangeField(value),
      onResetField: handleResetField,
      className: "sledge-wishlist__widget-search-form",
      withClearField: true
    }
  ) });
};
const WidgetHeaderTitle = ({ text, dataSettings }) => {
  var _a, _b, _c;
  const {
    color: display_header_title_color,
    font_size: display_header_title_font_size,
    font_weight: display_header_title_font_weight,
    text_transform: display_header_title_text_transform
  } = ((_b = (_a = dataSettings == null ? void 0 : dataSettings.display) == null ? void 0 : _a.widget) == null ? void 0 : _b.header_title) || {};
  const { header_title: language_header_title } = ((_c = dataSettings == null ? void 0 : dataSettings.languages) == null ? void 0 : _c.widget) || {};
  const display_header_title_style = {
    ...display_header_title_color && { color: display_header_title_color },
    ...display_header_title_font_size && { fontSize: display_header_title_font_size },
    ...display_header_title_font_weight && { fontWeight: display_header_title_font_weight },
    ...display_header_title_text_transform && { textTransform: display_header_title_text_transform }
  };
  return /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-wishlist__widget-header-item", children: /* @__PURE__ */ jsxRuntimeExports.jsx("h1", { style: display_header_title_style, children: language_header_title ? language_header_title : text || "My Wishlist" }) });
};
const WidgetHeaderLimit = ({ options, defaultLimitOptions, selectedLimit, setSelectedLimit, setIsRefreshWidgetList, dataSettings }) => {
  var _a;
  const { is_required_login } = ((_a = dataSettings == null ? void 0 : dataSettings.display) == null ? void 0 : _a.global) || {};
  const [isRequiredLogin, setIsRequiredLogin] = React__default.useState(false);
  let getOptions = options || defaultLimitOptions;
  const handleChangeLimit = (value) => {
    setSelectedLimit && setSelectedLimit(value);
    setIsRefreshWidgetList && setIsRefreshWidgetList(true);
  };
  React__default.useEffect(() => {
    setIsRequiredLogin(localStorage.getItem(LOCAL_STORAGE_KEY.ANONYM_ID) && is_required_login);
  }, []);
  return /* @__PURE__ */ jsxRuntimeExports.jsx(jsxRuntimeExports.Fragment, { children: !isRequiredLogin && /* @__PURE__ */ jsxRuntimeExports.jsx(jsxRuntimeExports.Fragment, { children: getOptions && Boolean(getOptions == null ? void 0 : getOptions.length) && /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-wishlist__widget-header-item", children: /* @__PURE__ */ jsxRuntimeExports.jsx(
    SelectField,
    {
      align: "end",
      options: getOptions.map((item) => {
        return {
          label: item,
          value: item
        };
      }),
      value: selectedLimit || getOptions[0],
      onChange: ({ value }) => handleChangeLimit(value)
    }
  ) }) }) });
};
const WidgetHeaderSort$1 = ({ wishlistSort, selectedSort, setSelectedSort, setIsRefreshWidgetList, dataSettings }) => {
  var _a, _b;
  const { is_required_login } = ((_a = dataSettings == null ? void 0 : dataSettings.display) == null ? void 0 : _a.global) || {};
  const [isRequiredLogin, setIsRequiredLogin] = React__default.useState(false);
  const handleChangeSort = (value) => {
    setSelectedSort && setSelectedSort(value);
    setIsRefreshWidgetList && setIsRefreshWidgetList(true);
  };
  React__default.useEffect(() => {
    setIsRequiredLogin(localStorage.getItem(LOCAL_STORAGE_KEY.ANONYM_ID) && is_required_login);
  }, []);
  return /* @__PURE__ */ jsxRuntimeExports.jsx(jsxRuntimeExports.Fragment, { children: !isRequiredLogin && /* @__PURE__ */ jsxRuntimeExports.jsx(jsxRuntimeExports.Fragment, { children: wishlistSort && Boolean(wishlistSort == null ? void 0 : wishlistSort.length) && /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-wishlist__widget-header-item", children: /* @__PURE__ */ jsxRuntimeExports.jsx(
    SelectField,
    {
      align: "end",
      options: wishlistSort.map((item) => {
        const { name, value } = item;
        return {
          label: name,
          value
        };
      }),
      value: selectedSort || ((_b = wishlistSort[0]) == null ? void 0 : _b.value),
      onChange: ({ value }) => handleChangeSort(value)
    }
  ) }) }) });
};
const WidgetHeader$1 = ({ isFirstLoading, ...props }) => {
  return /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-wishlist__widget-header", children: isFirstLoading ? /* @__PURE__ */ jsxRuntimeExports.jsxs(
    "div",
    {
      style: {
        display: "flex",
        gap: "8px",
        width: "100%",
        justifyContent: "space-between"
      },
      children: [
        /* @__PURE__ */ jsxRuntimeExports.jsx(SkeletonLoading.Item, { width: "190px", height: "46px", color: "grey-100", rounded: "md" }),
        /* @__PURE__ */ jsxRuntimeExports.jsxs(
          "div",
          {
            style: {
              display: "flex",
              gap: "8px"
            },
            children: [
              /* @__PURE__ */ jsxRuntimeExports.jsx(SkeletonLoading.Item, { width: "440px", height: "46px", color: "grey-100", rounded: "md" }),
              /* @__PURE__ */ jsxRuntimeExports.jsx(SkeletonLoading.Item, { width: "132px", height: "46px", color: "grey-100", rounded: "md" }),
              /* @__PURE__ */ jsxRuntimeExports.jsx(SkeletonLoading.Item, { width: "136px", height: "46px", color: "grey-100", rounded: "md" })
            ]
          }
        ),
        /* @__PURE__ */ jsxRuntimeExports.jsxs(
          "div",
          {
            style: {
              display: "flex",
              gap: "26px"
            },
            children: [
              /* @__PURE__ */ jsxRuntimeExports.jsx(SkeletonLoading.Item, { width: "190px", height: "46px", color: "grey-100", rounded: "md" }),
              /* @__PURE__ */ jsxRuntimeExports.jsx(SkeletonLoading.Item, { width: "190px", height: "46px", color: "grey-100", rounded: "md" })
            ]
          }
        )
      ]
    }
  ) : React__default.Children.count(props.children) && React__default.Children.map(
    props.children,
    (child) => React__default.cloneElement(child, {
      ...props
    })
  ) });
};
WidgetHeader$1.Title = WidgetHeaderTitle;
WidgetHeader$1.SearchForm = WidgetHeaderSearchForm;
WidgetHeader$1.ShareTrigger = WidgetHeaderShareTrigger;
WidgetHeader$1.ClearTrigger = WidgetHeaderClearTrigger;
WidgetHeader$1.Sort = WidgetHeaderSort$1;
WidgetHeader$1.Limit = WidgetHeaderLimit;
const usePrevious = (value) => {
  const ref = React__default.useRef();
  React__default.useEffect(() => {
    ref.current = value;
  });
  return ref.current;
};
const WidgetPopup = "";
const Rating$1 = "";
const getReviewInfo = async (id) => {
  let convertId = sanitizeDataId(id);
  let sledgeAuthApp = localStorage.getItem(LOCAL_STORAGE_KEY.AUTH_APP);
  var myHeaders = new Headers();
  myHeaders.append("Authorization", `Bearer ${sledgeAuthApp}`);
  var requestOptions = {
    method: "GET",
    headers: myHeaders,
    redirect: "follow"
  };
  return await fetch(`${API_URL}/review/info/${convertId}`, requestOptions).then((response) => response.json()).then((result) => {
    return result;
  }).catch(() => {
    return;
  });
};
const getReviewMedia = async () => {
  let sledgeAuthApp = localStorage.getItem(LOCAL_STORAGE_KEY.AUTH_APP);
  var myHeaders = new Headers();
  myHeaders.append("Authorization", `Bearer ${sledgeAuthApp}`);
  var requestOptions = {
    method: "GET",
    headers: myHeaders,
    redirect: "follow"
  };
  return await fetch(`${API_URL}/review/media`, requestOptions).then((response) => response.json()).then((result) => {
    return result;
  }).catch(() => {
    return;
  });
};
const addReviewMedia = async (files) => {
  let sledgeAuthApp = localStorage.getItem(LOCAL_STORAGE_KEY.AUTH_APP);
  var myHeaders = new Headers();
  myHeaders.append("Authorization", `Bearer ${sledgeAuthApp}`);
  var formdata = new FormData();
  [...files].map((item) => {
    formdata.append("files", item, item.name);
  });
  var requestOptions = {
    method: "POST",
    headers: myHeaders,
    body: formdata,
    redirect: "follow"
  };
  return await fetch(`${API_URL}/review/media`, requestOptions).then((response) => response.json()).then((result) => {
    return result;
  }).catch(() => {
    return;
  });
};
const deleteReviewMedia = async (id) => {
  let sledgeAuthApp = localStorage.getItem(LOCAL_STORAGE_KEY.AUTH_APP);
  var myHeaders = new Headers();
  myHeaders.append("Authorization", `Bearer ${sledgeAuthApp}`);
  var requestOptions = {
    method: "DELETE",
    headers: myHeaders,
    redirect: "follow"
  };
  return await fetch(`${API_URL}/review/media/${id}`, requestOptions).then((response) => response.json()).then((result) => {
    return result;
  }).catch(() => {
    return;
  });
};
const addReview = async (data) => {
  const { userFirstName, userLastName, userEmail, productId, productVariantId, rating, title, review, mediaIds } = data;
  let sledgeAuthApp = localStorage.getItem(LOCAL_STORAGE_KEY.AUTH_APP);
  var myHeaders = new Headers();
  myHeaders.append("Authorization", `Bearer ${sledgeAuthApp}`);
  myHeaders.append("Content-Type", "application/json");
  var raw = JSON.stringify({
    user: {
      name: `${userFirstName}${userLastName ? ` ${userLastName}` : ""}`,
      email: userEmail
    },
    product: {
      id: sanitizeDataId(productId),
      variant_id: sanitizeDataId(productVariantId)
    },
    review: {
      rating,
      title,
      review,
      media_ids: mediaIds
    }
  });
  var requestOptions = {
    method: "POST",
    headers: myHeaders,
    body: raw,
    redirect: "follow"
  };
  return await fetch(`${API_URL}/review`, requestOptions).then((response) => response.json()).then((result) => {
    return result;
  }).catch(() => {
    return;
  });
};
const Rating = (props) => {
  var _a;
  const { value, size = "md", data, withSkeletonLoading = true } = props;
  const { productId } = data || {};
  const { isRenderApp } = React__default.useContext(SledgeContext$1);
  const [isFirstLoading, setIsFirstLoading] = React__default.useState(true);
  const [isLoading, setIsLoading] = React__default.useState(true);
  const [sizing, setSizing] = React__default.useState({
    width: 0,
    height: 0
  });
  const [totalReview, setTotalReview] = React__default.useState(0);
  const [averageReview, setAverageReview] = React__default.useState("0");
  const [dataSettings, setDataSettings] = React__default.useState({});
  const { fill_color, outline_color } = ((_a = dataSettings == null ? void 0 : dataSettings.display) == null ? void 0 : _a.rating) || {};
  const handleProductRatingInfo = async () => {
    var _a2;
    if (value && !data) {
      setAverageReview(value);
      setIsLoading(false);
    } else {
      let response;
      let run = false;
      let valueTotalReview = 0;
      let valueAverageReview;
      response = await getReviewInfo(productId);
      if (!response)
        return;
      const { status, data: data2 } = response;
      const { code } = status;
      run = code === 200 || false;
      valueTotalReview = (data2 == null ? void 0 : data2.review_count) ? data2.review_count : 0;
      valueAverageReview = ((_a2 = data2 == null ? void 0 : data2.rating) == null ? void 0 : _a2.average) ? data2.rating.average : 0;
      if (run) {
        setTotalReview(valueTotalReview);
        setAverageReview(valueAverageReview);
        setIsLoading(false);
      }
    }
  };
  const handleSettings = async (LOCAL_STORAGE_PRODUCT_REVIEW_SETTING) => {
    setIsLoading(true);
    let response;
    let run = false;
    response = JSON.parse(LOCAL_STORAGE_PRODUCT_REVIEW_SETTING);
    if (!response)
      return;
    const { status, data: data2 } = response;
    const { code } = status;
    run = code === 200 || false;
    if (run) {
      setDataSettings(data2);
      await handleProductRatingInfo();
    }
  };
  React__default.useEffect(() => {
    if (!(isRenderApp == null ? void 0 : isRenderApp.productReview))
      return;
    if (size === "xs") {
      setSizing({
        width: 14.4,
        height: 14.4
      });
    } else if (size === "sm") {
      setSizing({
        width: 18,
        height: 18
      });
    } else {
      setSizing({
        width: 28.8,
        height: 28.8
      });
    }
    handleSettings(localStorage.getItem(LOCAL_STORAGE_KEY.PRODUCT_REVIEW_SETTING) || "");
    setTimeout(() => {
      setIsFirstLoading(false);
    }, 1300);
  }, [isRenderApp]);
  return /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-product-review__rating", children: isFirstLoading && withSkeletonLoading ? /* @__PURE__ */ jsxRuntimeExports.jsx(SkeletonLoading.Item, { width: "230px", height: "28px", color: "grey-100", rounded: "md" }) : /* @__PURE__ */ jsxRuntimeExports.jsxs(jsxRuntimeExports.Fragment, { children: [
    /* @__PURE__ */ jsxRuntimeExports.jsxs("svg", { xmlns: "http://www.w3.org/2000/svg", style: { display: "none" }, id: "sledge-product-review-rating-icon-svg-store", children: [
      /* @__PURE__ */ jsxRuntimeExports.jsx("symbol", { id: "sledge-product-review-icons-rating-icon-fill", viewBox: "0 0 30 29", fill: fill_color || "#23BC45", children: /* @__PURE__ */ jsxRuntimeExports.jsx(
        "path",
        {
          fillRule: "evenodd",
          clipRule: "evenodd",
          d: "M7.00014 17.7L1.20174 12.9C0.107339 12.0248 0.587339 10.2648 1.97614 10.0664L10.2001 9.69998L13.7121 0.895176C13.9569 0.407176 14.4545 0.0999756 15.0001 0.0999756C15.5457 0.0999756 16.0433 0.408776 16.2881 0.895176L19.8001 9.69998L28.0241 10.0664C29.4129 10.2648 29.8929 12.0248 28.7985 12.9L23.0001 17.7L24.5825 27.0712C24.7649 28.3496 23.4369 29.3064 22.2833 28.7288L15.0001 24.1L7.71694 28.7272C6.56174 29.3048 5.23534 28.348 5.41774 27.0696L7.00014 17.7Z"
        }
      ) }),
      /* @__PURE__ */ jsxRuntimeExports.jsx("symbol", { id: "sledge-product-review-icons-rating-icon-line", viewBox: "0 0 30 29", stroke: outline_color || "#8D9196", fill: "none", children: /* @__PURE__ */ jsxRuntimeExports.jsx(
        "path",
        {
          fillRule: "evenodd",
          clipRule: "evenodd",
          d: "M7.00014 17.7L1.20174 12.9C0.107339 12.0248 0.587339 10.2648 1.97614 10.0664L10.2001 9.69998L13.7121 0.895176C13.9569 0.407176 14.4545 0.0999756 15.0001 0.0999756C15.5457 0.0999756 16.0433 0.408776 16.2881 0.895176L19.8001 9.69998L28.0241 10.0664C29.4129 10.2648 29.8929 12.0248 28.7985 12.9L23.0001 17.7L24.5825 27.0712C24.7649 28.3496 23.4369 29.3064 22.2833 28.7288L15.0001 24.1L7.71694 28.7272C6.56174 29.3048 5.23534 28.348 5.41774 27.0696L7.00014 17.7Z",
          strokeWidth: "1.4"
        }
      ) }),
      /* @__PURE__ */ jsxRuntimeExports.jsx("defs", { children: /* @__PURE__ */ jsxRuntimeExports.jsxs("g", { id: "sledge-product-review-icons-rating-icon", children: [
        /* @__PURE__ */ jsxRuntimeExports.jsx("use", { href: "#sledge-product-review-icons-rating-icon-line", className: "sledge-product-review__rating-icon-line" }),
        /* @__PURE__ */ jsxRuntimeExports.jsx("use", { href: "#sledge-product-review-icons-rating-icon-fill", className: "sledge-product-review__rating-icon-fill" })
      ] }) })
    ] }),
    !isLoading && /* @__PURE__ */ jsxRuntimeExports.jsxs(jsxRuntimeExports.Fragment, { children: [
      [1, 2, 3, 4, 5].map((item, index) => {
        let ratingValue = Math.floor(parseFloat(averageReview));
        let getCommaValue = String(averageReview).includes(",") ? String(averageReview).split(",") : [];
        let getCommaValueDot = String(averageReview).includes(".") ? String(averageReview).split(".") : [];
        let isHaveCommaValue = getCommaValue.length || getCommaValueDot.length;
        let commaValue = isHaveCommaValue ? getCommaValue[1] || getCommaValueDot[1] : 0;
        let fillOther = "fill-0";
        if (item > ratingValue && ratingValue + 1 === item) {
          fillOther = `fill-${commaValue}`;
        }
        return /* @__PURE__ */ createElement("svg", { ...sizing, viewBox: "0 0 30 29", "data-product-review-rating-fill": item <= ratingValue ? "full" : fillOther, key: index }, /* @__PURE__ */ jsxRuntimeExports.jsx("use", { href: "#sledge-product-review-icons-rating-icon" }));
      }),
      !value && data ? /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge-product-review__rating-summary-total", children: [
        "(",
        totalReview,
        ")"
      ] }) : /* @__PURE__ */ jsxRuntimeExports.jsx(jsxRuntimeExports.Fragment, {})
    ] })
  ] }) });
};
const Widget = "";
const WidgetHeaderAddTrigger = ({ isFirstLoading, text, dataSettings, data, onAfterAddReview }) => {
  var _a, _b, _c;
  const {
    text_color: display_button_write_review_text_color,
    border_color: display_button_write_review_border_color,
    border_radius: display_button_write_review_border_radius,
    padding_top: display_button_write_review_padding_top,
    padding_bottom: display_button_write_review_padding_bottom,
    padding_left: display_button_write_review_padding_left,
    padding_right: display_button_write_review_padding_right,
    background_color: display_button_write_review_background_color,
    font_size: display_button_write_review_font_size,
    font_weight: display_button_write_review_font_weight,
    text_transform: display_button_write_review_text_transform
  } = ((_b = (_a = dataSettings == null ? void 0 : dataSettings.display) == null ? void 0 : _a.widget) == null ? void 0 : _b.button_write_review) || {};
  const { button_write_review } = ((_c = dataSettings == null ? void 0 : dataSettings.languages) == null ? void 0 : _c.widget) || {};
  const display_button_write_review_style = {
    ...display_button_write_review_text_color && { color: display_button_write_review_text_color },
    ...display_button_write_review_border_color && { borderColor: display_button_write_review_border_color },
    ...display_button_write_review_border_radius && { borderRadius: display_button_write_review_border_radius },
    ...display_button_write_review_padding_top && { paddingTop: display_button_write_review_padding_top },
    ...display_button_write_review_padding_bottom && { paddingBottom: display_button_write_review_padding_bottom },
    ...display_button_write_review_padding_left && { paddingLeft: display_button_write_review_padding_left },
    ...display_button_write_review_padding_right && { paddingRight: display_button_write_review_padding_right },
    ...display_button_write_review_background_color && { backgroundColor: display_button_write_review_background_color },
    ...display_button_write_review_font_size && { fontSize: display_button_write_review_font_size },
    ...display_button_write_review_font_weight && { fontWeight: display_button_write_review_font_weight },
    ...display_button_write_review_text_transform && { textTransform: display_button_write_review_text_transform }
  };
  return /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-product-review__widget-header-item", children: isFirstLoading ? /* @__PURE__ */ jsxRuntimeExports.jsx(SkeletonLoading.Item, { width: "134px", height: "42px", rounded: "lg", color: "grey-100" }) : /* @__PURE__ */ jsxRuntimeExports.jsxs(
    Button,
    {
      type: "button",
      colorType: "success",
      onClick: () => typeof window !== "undefined" && window.sledgeProductReviewWidgetFormAdd && window.sledgeProductReviewWidgetFormAdd(data, onAfterAddReview),
      style: display_button_write_review_style,
      children: [
        /* @__PURE__ */ jsxRuntimeExports.jsx("svg", { width: 16, height: 17, viewBox: "0 0 16 17", fill: "none", xmlns: "http://www.w3.org/2000/svg", children: /* @__PURE__ */ jsxRuntimeExports.jsx(
          "path",
          {
            fillRule: "evenodd",
            clipRule: "evenodd",
            d: "M13.8323 14.1264C14.1083 14.1264 14.3323 14.3504 14.3323 14.6264C14.3323 14.9024 14.1083 15.1264 13.8323 15.1264H8.99701C8.72101 15.1264 8.49701 14.9024 8.49701 14.6264C8.49701 14.3504 8.72101 14.1264 8.99701 14.1264H13.8323ZM10.7429 2.93576C10.7762 2.96176 11.8915 3.82843 11.8915 3.82843C12.2969 4.06976 12.6135 4.5011 12.7335 5.01176C12.8529 5.5171 12.7662 6.03843 12.4882 6.47909C12.4864 6.48203 12.4845 6.48494 12.4781 6.49358L12.4731 6.50025C12.4279 6.55972 12.2318 6.80776 11.2417 8.04815C11.2325 8.06441 11.2221 8.07963 11.2107 8.09443C11.1941 8.11624 11.1759 8.13628 11.1565 8.15453C11.089 8.23956 11.0176 8.3289 10.9426 8.42283L10.7907 8.61313C10.4772 9.00579 10.1053 9.47139 9.66407 10.0236L9.43764 10.3071C8.58586 11.3732 7.49499 12.7382 6.09755 14.4864C5.79155 14.8678 5.33288 15.0898 4.84021 15.0958L2.41421 15.1264H2.40755C2.17621 15.1264 1.97488 14.9678 1.92088 14.7418L1.37488 12.4278C1.26221 11.9484 1.37421 11.4538 1.68155 11.0698L7.96155 3.2151C7.96421 3.21243 7.96621 3.2091 7.96888 3.20643C8.65755 2.3831 9.90288 2.26176 10.7429 2.93576ZM7.26136 5.69133L2.46221 11.6944C2.34821 11.8371 2.30621 12.0211 2.34821 12.1978L2.80221 14.1211L4.82821 14.0958C5.02088 14.0938 5.19888 14.0078 5.31688 13.8611C5.92454 13.1008 6.68825 12.1452 7.47345 11.1627L7.75125 10.815L8.02952 10.4668C8.76591 9.54526 9.4934 8.63471 10.1021 7.87258L7.26136 5.69133ZM8.73888 3.84443L7.88603 4.91L10.7265 7.09062C11.2733 6.4058 11.633 5.95476 11.6662 5.91176C11.7755 5.73443 11.8182 5.48376 11.7609 5.24243C11.7022 4.9951 11.5482 4.78509 11.3262 4.65109C11.2789 4.61843 10.1555 3.74643 10.1209 3.71909C9.69821 3.38043 9.08155 3.4391 8.73888 3.84443Z",
            fill: "currentColor"
          }
        ) }),
        text ? text : button_write_review || "Add review"
      ]
    }
  ) });
};
const WidgetHeaderSort = ({ isFirstLoading, productReviewSort, dataSettings, setSelectedSort, setIsRefreshWidgetList }) => {
  var _a, _b;
  const { default_sort, show_sorting_options } = ((_a = dataSettings == null ? void 0 : dataSettings.display) == null ? void 0 : _a.widget) || {};
  const [clickedSortId, setClickedSortId] = React__default.useState(default_sort || null);
  const handleChangeSort = (value) => {
    setClickedSortId(value);
    setIsRefreshWidgetList && setIsRefreshWidgetList(true);
    setSelectedSort && setSelectedSort(value);
  };
  const getSelectedSort = clickedSortId || ((_b = productReviewSort[0]) == null ? void 0 : _b.value);
  return /* @__PURE__ */ jsxRuntimeExports.jsx(jsxRuntimeExports.Fragment, { children: !show_sorting_options ? null : /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-product-review__widget-header-item", children: isFirstLoading ? /* @__PURE__ */ jsxRuntimeExports.jsx(SkeletonLoading.Item, { width: "134px", height: "42px", rounded: "lg", color: "grey-100" }) : /* @__PURE__ */ jsxRuntimeExports.jsx(
    SelectField,
    {
      align: "end",
      prefixLabel: /* @__PURE__ */ jsxRuntimeExports.jsx("svg", { width: 16, height: 16, viewBox: "0 0 16 16", fill: "none", xmlns: "http://www.w3.org/2000/svg", children: /* @__PURE__ */ jsxRuntimeExports.jsx(
        "path",
        {
          fillRule: "evenodd",
          clipRule: "evenodd",
          d: "M11.5919 9.13869C12.7359 9.13869 13.6666 10.0647 13.6666 11.2027C13.6666 12.3407 12.7359 13.2667 11.5919 13.2667C10.4473 13.2667 9.51593 12.3407 9.51593 11.2027C9.51593 10.0647 10.4473 9.13869 11.5919 9.13869ZM11.5919 10.1387C10.9986 10.1387 10.5159 10.616 10.5159 11.2027C10.5159 11.79 10.9986 12.2667 11.5919 12.2667C12.1846 12.2667 12.6666 11.79 12.6666 11.2027C12.6666 10.616 12.1846 10.1387 11.5919 10.1387ZM6.7202 10.7286C6.9962 10.7286 7.2202 10.9526 7.2202 11.2286C7.2202 11.5046 6.9962 11.7286 6.7202 11.7286H2.51953C2.24353 11.7286 2.01953 11.5046 2.01953 11.2286C2.01953 10.9526 2.24353 10.7286 2.51953 10.7286H6.7202ZM4.07533 2.66669C5.22 2.66669 6.15067 3.59335 6.15067 4.73135C6.15067 5.86935 5.22 6.79469 4.07533 6.79469C2.93133 6.79469 2 5.86935 2 4.73135C2 3.59335 2.93133 2.66669 4.07533 2.66669ZM4.07533 3.66669C3.48267 3.66669 3 4.14402 3 4.73135C3 5.31802 3.48267 5.79469 4.07533 5.79469C4.66867 5.79469 5.15067 5.31802 5.15067 4.73135C5.15067 4.14402 4.66867 3.66669 4.07533 3.66669ZM12.7941 4.26695C13.0701 4.26695 13.2941 4.49095 13.2941 4.76695C13.2941 5.04295 13.0701 5.26695 12.7941 5.26695H8.59407C8.31807 5.26695 8.09407 5.04295 8.09407 4.76695C8.09407 4.49095 8.31807 4.26695 8.59407 4.26695H12.7941Z",
          fill: "currentColor"
        }
      ) }),
      prefixSelectedLabel: "Sort by",
      options: productReviewSort.map((item) => {
        const { name, value } = item;
        return {
          label: name,
          value
        };
      }),
      value: getSelectedSort,
      onChange: ({ value }) => handleChangeSort(value)
    }
  ) }) });
};
const ROTATE_FILTER_ARROW_ANIMATION = {
  open: { rotate: 180 },
  closed: { rotate: 0 },
  transition: {
    type: "spring",
    duration: 0.2
  }
};
const VISIBLE_ANIMATION = {
  hidden: { opacity: 0, scale: 0 },
  visible: (custom) => {
    const { duration } = custom || {};
    return {
      opacity: 1,
      scale: 1,
      transition: {
        type: "spring",
        duration: duration || 0.7
      }
    };
  }
};
const WidgetHeaderSummary = (props) => {
  var _a, _b, _c;
  const { data, dataSettings } = props;
  const { productId } = data || {};
  const { fill_color: display_summary_bar_fill_color, outline_color: display_summary_bar_outline_color } = ((_b = (_a = dataSettings == null ? void 0 : dataSettings.display) == null ? void 0 : _a.widget) == null ? void 0 : _b.summary_bar) || {};
  const { review_singular, review_plural } = ((_c = dataSettings == null ? void 0 : dataSettings.languages) == null ? void 0 : _c.widget) || {};
  const [isFirstLoading, setIsFirstLoading] = React__default.useState(true);
  const [isFirstLoadingSummary, setIsFirstLoadingSummary] = React__default.useState(true);
  const [isLoading, setIsLoading] = React__default.useState(true);
  const [isRefreshRating, setIsRefreshRating] = React__default.useState(true);
  const [isOpen, setIsOpen] = React__default.useState(false);
  const [totalReview, setTotalReview] = React__default.useState(0);
  const [ratingList, setRatingList] = React__default.useState({
    5: 0,
    4: 0,
    3: 0,
    2: 0,
    1: 0
  });
  const [averageReview, setAverageReview] = React__default.useState("0");
  const handleProductReviewInfo = async () => {
    var _a2;
    let response;
    let run = false;
    let valueTotalReview = 0;
    let valueRatingList;
    let valueAverageReview;
    response = await getReviewInfo(productId);
    if (!response)
      return;
    const { status, data: data2 } = response;
    const { code } = status;
    run = code === 200 || false;
    valueTotalReview = (data2 == null ? void 0 : data2.review_count) ? data2.review_count : 0;
    valueRatingList = (data2 == null ? void 0 : data2.rating) ? {
      5: data2.rating["5"] || 0,
      4: data2.rating["4"] || 0,
      3: data2.rating["3"] || 0,
      2: data2.rating["2"] || 0,
      1: data2.rating["1"] || 0
    } : ratingList;
    valueAverageReview = ((_a2 = data2 == null ? void 0 : data2.rating) == null ? void 0 : _a2.average) ? data2.rating.average : "0";
    if (run) {
      setTotalReview(valueTotalReview);
      setRatingList(valueRatingList);
      setAverageReview(valueAverageReview);
      setIsLoading(false);
      setIsRefreshRating(false);
      setIsFirstLoading(false);
      isOpen && setIsFirstLoadingSummary(false);
    }
  };
  React__default.useEffect(() => {
    if (typeof window !== "undefined") {
      window.sledgeProductReviewWidgetSummaryUpdate = () => {
        setIsRefreshRating(true);
        handleProductReviewInfo();
      };
    }
    handleProductReviewInfo();
  }, [isOpen]);
  return /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-product-review__widget-summary", children: isFirstLoading ? /* @__PURE__ */ jsxRuntimeExports.jsx(SkeletonLoading.Item, { width: "630px", height: "42px", color: "grey-100", rounded: "md", animationDuration: "5s" }) : /* @__PURE__ */ jsxRuntimeExports.jsx(
    Popover,
    {
      trigger: isLoading ? /* @__PURE__ */ jsxRuntimeExports.jsx(jsxRuntimeExports.Fragment, {}) : /* @__PURE__ */ jsxRuntimeExports.jsxs(motion.div, { initial: false, animate: isOpen ? "open" : "closed", className: "sledge-product-review__widget-summary-trigger", children: [
        /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-product-review__widget-summary-average", children: averageReview }),
        /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-product-review__widget-summary-rating", children: !isRefreshRating && /* @__PURE__ */ jsxRuntimeExports.jsx(Rating, { value: String(averageReview), size: "md", withSkeletonLoading: false }) }),
        /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge-product-review__widget-summary-total", children: [
          totalReview,
          " ",
          totalReview > 1 ? review_plural || "Reviews" : review_singular || "Review"
        ] }),
        /* @__PURE__ */ jsxRuntimeExports.jsx(motion.div, { variants: ROTATE_FILTER_ARROW_ANIMATION, className: "summary-trigger-icon", children: /* @__PURE__ */ jsxRuntimeExports.jsx("svg", { width: 20, height: 20, viewBox: "0 0 15 15", fill: "none", xmlns: "http://www.w3.org/2000/svg", children: /* @__PURE__ */ jsxRuntimeExports.jsx(
          "path",
          {
            d: "M3.13523 6.15803C3.3241 5.95657 3.64052 5.94637 3.84197 6.13523L7.5 9.56464L11.158 6.13523C11.3595 5.94637 11.6759 5.95657 11.8648 6.15803C12.0536 6.35949 12.0434 6.67591 11.842 6.86477L7.84197 10.6148C7.64964 10.7951 7.35036 10.7951 7.15803 10.6148L3.15803 6.86477C2.95657 6.67591 2.94637 6.35949 3.13523 6.15803Z",
            fill: "currentColor",
            fillRule: "evenodd",
            clipRule: "evenodd"
          }
        ) }) })
      ] }),
      content: isFirstLoadingSummary ? /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-product-review__widget-summary-dist-progress", children: [5, 4, 3, 2, 1].map((index) => {
        return /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge-product-review__widget-summary-dist-progress-item", children: [
          /* @__PURE__ */ jsxRuntimeExports.jsx(SkeletonLoading.Item, { width: "108px", height: "22px", color: "grey-100", rounded: "md", animationDuration: "15s" }),
          /* @__PURE__ */ jsxRuntimeExports.jsx(
            SkeletonLoading.Item,
            {
              width: "128px",
              height: "22px",
              color: "grey-100",
              rounded: "md",
              animationDuration: "13s",
              style: {
                marginLeft: "13px",
                marginRight: "12px"
              }
            }
          ),
          /* @__PURE__ */ jsxRuntimeExports.jsx(SkeletonLoading.Item, { width: "38px", height: "22px", color: "grey-100", rounded: "md", animationDuration: "42s" })
        ] }, index);
      }) }) : /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-product-review__widget-summary-dist", children: /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-product-review__widget-summary-dist-progress", children: [5, 4, 3, 2, 1].map((item, index) => {
        return /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge-product-review__widget-summary-dist-progress-item", children: [
          /* @__PURE__ */ jsxRuntimeExports.jsx(Rating, { value: item, size: "sm", withSkeletonLoading: false }),
          /* @__PURE__ */ jsxRuntimeExports.jsx(
            Progress,
            {
              value: String(ratingList[item]),
              total: totalReview,
              fillColor: display_summary_bar_fill_color,
              outlineColor: display_summary_bar_outline_color
            }
          ),
          /* @__PURE__ */ jsxRuntimeExports.jsxs("small", { children: [
            "(",
            ratingList[item],
            ")"
          ] })
        ] }, index);
      }) }) }),
      setIsOpen,
      hideCloseIcon: true,
      align: "end",
      alignOffset: -170,
      className: "sledge-product-review__widget-summary-content",
      withArrow: false
    }
  ) });
};
const WidgetHeader = (props) => {
  const [isLoading, setIsLoading] = React__default.useState(true);
  React__default.useEffect(() => {
    setIsLoading(false);
  }, []);
  return /* @__PURE__ */ jsxRuntimeExports.jsx(jsxRuntimeExports.Fragment, { children: !isLoading && /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-product-review__widget-header", children: React__default.Children.count(props.children) && React__default.Children.map(
    props.children,
    (child) => React__default.cloneElement(child, {
      ...props
    })
  ) }) });
};
WidgetHeader.Sort = WidgetHeaderSort;
WidgetHeader.AddTrigger = WidgetHeaderAddTrigger;
WidgetHeader.Summary = WidgetHeaderSummary;
const WidgetPopupDetail$1 = "";
const WidgetPopupDetail = () => {
  var _a, _b, _c, _d, _e;
  const [showInfo, setShowInfo] = React__default.useState(false);
  const [name, setName] = React__default.useState("");
  const [rating, setRating] = React__default.useState("");
  const [title, setTitle] = React__default.useState("");
  const [review, setReview] = React__default.useState("");
  const [media, setMedia] = React__default.useState([]);
  const [reply, setReply] = React__default.useState([]);
  const [replyName, setReplyName] = React__default.useState("");
  const [replyStatus, setReplyStatus] = React__default.useState("");
  const [isVerified, setIsVerified] = React__default.useState(false);
  const [createdAt, setCreatedAt] = React__default.useState("");
  const [dataSettings, setDataSettings] = React__default.useState({});
  const [currentMediaIndex, setCurrentMediaIndex] = React__default.useState(0);
  const {
    text_color: display_verified_text_color,
    border_color: display_verified_border_color,
    border_radius: display_verified_border_radius,
    padding_top: display_verified_padding_top,
    padding_bottom: display_verified_padding_bottom,
    padding_left: display_verified_padding_left,
    padding_right: display_verified_padding_right,
    background_color: display_verified_background_color,
    font_size: display_verified_font_size,
    font_weight: display_verified_font_weight,
    text_transform: display_verified_text_transform
  } = ((_b = (_a = dataSettings == null ? void 0 : dataSettings.display) == null ? void 0 : _a.widget) == null ? void 0 : _b.verified) || {};
  const { verified: language_widget_verified } = ((_c = dataSettings == null ? void 0 : dataSettings.languages) == null ? void 0 : _c.widget) || {};
  const { name: language_widget_replier_name, image: language_widget_replier_image } = ((_e = (_d = dataSettings == null ? void 0 : dataSettings.display) == null ? void 0 : _d.widget) == null ? void 0 : _e.replier) || {};
  const display_verified_style = {
    ...display_verified_text_color && { color: display_verified_text_color },
    ...display_verified_border_color && {
      borderWidth: "1px",
      borderStyle: "solid",
      borderColor: display_verified_border_color
    },
    ...display_verified_border_radius && { borderRadius: display_verified_border_radius },
    ...display_verified_padding_top && { paddingTop: display_verified_padding_top },
    ...display_verified_padding_bottom && { paddingBottom: display_verified_padding_bottom },
    ...display_verified_padding_left && { paddingLeft: display_verified_padding_left },
    ...display_verified_padding_right && { paddingRight: display_verified_padding_right },
    ...display_verified_background_color && { backgroundColor: display_verified_background_color },
    ...display_verified_font_size && { fontSize: display_verified_font_size },
    ...display_verified_font_weight && { fontWeight: display_verified_font_weight },
    ...display_verified_text_transform && { textTransform: display_verified_text_transform }
  };
  const isDisabledPreviousMedia = currentMediaIndex === 0;
  const isDisabledNextMedia = currentMediaIndex === (media == null ? void 0 : media.length) - 1;
  React__default.useEffect(() => {
    if (typeof window !== "undefined") {
      console.log("ada editan", dataSettings);
      window.sledgeProductReviewWidgetPopupDetail = (data) => {
        var _a2, _b2;
        const {
          user: { name: name2 },
          review: { rating: rating2, title: title2, review: review2, media: media2, reply: reply2, is_verified },
          created_at,
          settings
        } = data;
        setName(name2);
        setRating(rating2);
        setTitle(title2);
        setReview(review2);
        setMedia(media2);
        setReply(reply2);
        setReplyName(
          language_widget_replier_name ? String(String(language_widget_replier_name).includes("<span>") ? String(language_widget_replier_name).split("<span>")[0] : String(language_widget_replier_name)).replaceAll(
            OBJECT_DATA_STRING_KEY.STORE.NAME,
            (_a2 = reply2[0]) == null ? void 0 : _a2.name
          ) : (_b2 = reply2[0]) == null ? void 0 : _b2.name
        );
        setReplyStatus(language_widget_replier_name ? getTextBetween("<span>", "</span>", language_widget_replier_name) : "Admin");
        setIsVerified(is_verified);
        setCreatedAt(new Intl.DateTimeFormat("en-US").format(new Date(created_at)));
        setShowInfo(true);
        setDataSettings(settings);
        setCurrentMediaIndex(0);
      };
    }
  }, []);
  return /* @__PURE__ */ jsxRuntimeExports.jsx($5d3850c4d0b4e6c7$export$be92b6f5f03c0fe9, { open: showInfo, onOpenChange: setShowInfo, children: /* @__PURE__ */ jsxRuntimeExports.jsxs($5d3850c4d0b4e6c7$export$602eac185826482c, { children: [
    /* @__PURE__ */ jsxRuntimeExports.jsx($5d3850c4d0b4e6c7$export$c6fdb837b070b4ff, { className: "sledge__popup-overlay" }),
    /* @__PURE__ */ jsxRuntimeExports.jsx($5d3850c4d0b4e6c7$export$c6fdb837b070b4ff, { className: "sledge__popup-overlay-blur" }),
    /* @__PURE__ */ jsxRuntimeExports.jsx($5d3850c4d0b4e6c7$export$7c6e2c02157bb7d2, { className: "sledge-product-review__widget-popup-detail-content DialogContent", children: /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge-product-review__widget-popup-flex", children: [
      /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge-product-review__widget-popup-image", children: [
        /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-product-review__widget-popup-close", onClick: () => setShowInfo(false), children: /* @__PURE__ */ jsxRuntimeExports.jsx("svg", { width: 18, height: 18, viewBox: "0 0 15 15", fill: "none", xmlns: "http://www.w3.org/2000/svg", children: /* @__PURE__ */ jsxRuntimeExports.jsx(
          "path",
          {
            d: "M12.8536 2.85355C13.0488 2.65829 13.0488 2.34171 12.8536 2.14645C12.6583 1.95118 12.3417 1.95118 12.1464 2.14645L7.5 6.79289L2.85355 2.14645C2.65829 1.95118 2.34171 1.95118 2.14645 2.14645C1.95118 2.34171 1.95118 2.65829 2.14645 2.85355L6.79289 7.5L2.14645 12.1464C1.95118 12.3417 1.95118 12.6583 2.14645 12.8536C2.34171 13.0488 2.65829 13.0488 2.85355 12.8536L7.5 8.20711L12.1464 12.8536C12.3417 13.0488 12.6583 13.0488 12.8536 12.8536C13.0488 12.6583 13.0488 12.3417 12.8536 12.1464L8.20711 7.5L12.8536 2.85355Z",
            fill: "#A7A7A7",
            fillRule: "evenodd",
            clipRule: "evenodd"
          }
        ) }) }),
        (media == null ? void 0 : media.length) ? /* @__PURE__ */ jsxRuntimeExports.jsxs(jsxRuntimeExports.Fragment, { children: [
          media.map((item, index) => {
            const { type, file } = item;
            const MEDIA_STYLE = {
              hidden: {
                opacity: 0,
                visibility: "hidden"
              },
              show: {
                opacity: 1,
                visibility: "visible"
              }
            };
            let renderMedia = type === "image" ? /* @__PURE__ */ jsxRuntimeExports.jsx(
              "img",
              {
                src: file,
                alt: "sledge-review-card-image",
                loading: "lazy",
                onError: (event) => event.currentTarget.src = `${API_URL}/img/blank-image.png`,
                style: MEDIA_STYLE[currentMediaIndex !== index ? "hidden" : "show"]
              }
            ) : /* @__PURE__ */ jsxRuntimeExports.jsx("video", { controls: true, style: MEDIA_STYLE[currentMediaIndex !== index ? "hidden" : "show"], children: /* @__PURE__ */ jsxRuntimeExports.jsx("source", { src: file }) });
            return /* @__PURE__ */ jsxRuntimeExports.jsx(React__default.Fragment, { children: renderMedia }, index);
          }),
          /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge-product-review__widget-popup-media-nav", children: [
            !isDisabledPreviousMedia && /* @__PURE__ */ jsxRuntimeExports.jsx(
              "div",
              {
                className: "sledge-product-review__widget-popup-media-nav-item sledge-product-review__widget-popup-media-nav-item-prev",
                onClick: () => setCurrentMediaIndex(currentMediaIndex - 1),
                children: /* @__PURE__ */ jsxRuntimeExports.jsx(ChevronArrowLeftIcon, { width: 16, height: 16, color: "white" })
              }
            ),
            !isDisabledNextMedia && /* @__PURE__ */ jsxRuntimeExports.jsx(
              "div",
              {
                className: "sledge-product-review__widget-popup-media-nav-item sledge-product-review__widget-popup-media-nav-item-next",
                onClick: () => setCurrentMediaIndex(currentMediaIndex + 1),
                children: /* @__PURE__ */ jsxRuntimeExports.jsx(ChevronArrowRightIcon, { width: 16, height: 16, color: "white" })
              }
            )
          ] })
        ] }) : /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-product-review__widget-popup-no-media", children: "No Media Upload" })
      ] }),
      /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge-product-review__widget-popup-content", children: [
        /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge-product-review__widget-popup-content-heading", children: [
          /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-product-review__widget-popup-content-title", children: name }),
          !isVerified ? null : /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-product-review__widget-popup-content-verified-text", style: display_verified_style, children: language_widget_verified })
        ] }),
        /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge-product-review__widget-popup-content-subheading", children: [
          /* @__PURE__ */ jsxRuntimeExports.jsx(Rating, { value: rating, size: "sm", withSkeletonLoading: false }),
          /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-product-review__widget-popup-content-date", children: createdAt })
        ] }),
        /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-product-review__widget-popup-content-title-description", children: title }),
        /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge-product-review__widget-popup-content-description", children: [
          /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-product-review__widget-popup-content-message", dangerouslySetInnerHTML: { __html: review } }),
          (reply == null ? void 0 : reply.length) ? /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge-product-review__widget-popup-reply-wrapper", children: [
            /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge-product-review__widget-review-card-reply-title", children: [
              /* @__PURE__ */ jsxRuntimeExports.jsx(
                "img",
                {
                  src: language_widget_replier_image || "",
                  alt: "sledge-review-card-image",
                  loading: "lazy",
                  onError: (event) => event.currentTarget.src = `${API_URL}/img/blank-image.png`,
                  className: "sledge-product-review__widget-review-card-reply-profile-image"
                }
              ),
              /* @__PURE__ */ jsxRuntimeExports.jsx("span", { className: "sledge-product-review__widget-review-card-reply-name", children: replyName }),
              /* @__PURE__ */ jsxRuntimeExports.jsx("span", { className: "sledge-product-review__widget-review-card-reply-status", children: replyStatus })
            ] }),
            /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-product-review__widget-popup-content-message", dangerouslySetInnerHTML: { __html: reply[0]["text"] } })
          ] }) : /* @__PURE__ */ jsxRuntimeExports.jsx(jsxRuntimeExports.Fragment, {})
        ] })
      ] })
    ] }) })
  ] }) });
};
const WidgetFormAdd$1 = "";
const WidgetFormAdd = () => {
  var _a, _b, _c, _d;
  const [showInfo, setShowInfo] = React__default.useState(false);
  const [steps, setSteps] = React__default.useState([
    { key: "Step_SelectRate", isDone: true, component: Step_SelectRate },
    { key: "Step_WriteReview", isDone: false, component: Step_WriteReview },
    { key: "Step_PersonalData", isDone: false, component: Step_PersonalData }
  ]);
  const [activeStep, setActiveStep] = React__default.useState(steps[0]);
  const [isVisibleNextStep, setIsVisibleNextStep] = React__default.useState(false);
  const [textNextStep, setTextNextStep] = React__default.useState(null);
  const [isLoadingAddReview, setIsLoadingAddReview] = React__default.useState(false);
  const [isLoadingUploadMedia, setIsLoadingUploadMedia] = React__default.useState(false);
  const [isLoadingDeleteMedia, setIsLoadingDeleteMedia] = React__default.useState(false);
  const [selectedDeleteMediaId, setSelectedDeleteMediaId] = React__default.useState(null);
  const [dataSettings, setDataSettings] = React__default.useState({});
  const [handleFunctions, setHandleFunctions] = React__default.useState({
    onAfterAddReview: (state) => {
    }
  });
  const [sledgeAnonymId, setSledgeAnonymId] = React__default.useState("");
  const [postUserFirstName, setPostUserFirstName] = React__default.useState("");
  const [postUserLastName, setPostUserLastName] = React__default.useState("");
  const [postUserEmail, setPostUserEmail] = React__default.useState("");
  const [postProductId, setPostProductId] = React__default.useState("");
  const [postProductVariantId, setPostProductVariantId] = React__default.useState("");
  const [postRating, setPostRating] = React__default.useState(0);
  const [postTitle, setPostTitle] = React__default.useState("");
  const [postReview, setPostReview] = React__default.useState("");
  const [postMediaIds, setPostMediaIds] = React__default.useState([]);
  const [postMedia, setPostMedia] = React__default.useState([]);
  const { title_added_to_review, text_added_to_review } = ((_a = dataSettings == null ? void 0 : dataSettings.languages) == null ? void 0 : _a.notification) || {};
  const { title_confirm_add_review, text_confirm_add_review, button_submit_confirm_add_review, button_cancel_confirm_add_review } = ((_b = dataSettings == null ? void 0 : dataSettings.languages) == null ? void 0 : _b.popup) || {};
  const { navigation_previous, navigation_next, button_submit } = ((_c = dataSettings == null ? void 0 : dataSettings.languages) == null ? void 0 : _c.write_review_form) || {};
  const resetPostDataState = () => {
    setPostUserFirstName("");
    setPostUserLastName("");
    setPostUserEmail("");
    setPostRating(0);
    setPostTitle("");
    setPostReview("");
    setPostMediaIds([]);
    setPostMedia([]);
  };
  const handleAddReview = async () => {
    setIsLoadingAddReview(true);
    let response;
    let run = false;
    response = await addReview({
      userFirstName: postUserFirstName,
      userLastName: postUserLastName,
      userEmail: postUserEmail,
      productId: postProductId,
      productVariantId: postProductVariantId,
      rating: postRating,
      title: postTitle,
      review: postReview,
      mediaIds: postMediaIds
    });
    if (!response)
      return;
    const {
      status: { code }
    } = response;
    run = code === 200;
    if (run) {
      handleFunctions.onAfterAddReview("success");
      setTimeout(() => {
        setIsLoadingAddReview(false);
        setShowInfo(false);
        setActiveStep(steps[0]);
        resetPostDataState();
        handleProductReviewMedia && handleProductReviewMedia();
        if (typeof window !== "undefined") {
          if (window.sledgeProductReviewWidgetListUpdate)
            window.sledgeProductReviewWidgetListUpdate();
          if (window.sledgeProductReviewWidgetSummaryUpdate)
            window.sledgeProductReviewWidgetSummaryUpdate();
          if (window.sledgeToastNotification)
            window.sledgeToastNotification({
              title: title_added_to_review,
              message: text_added_to_review,
              type: "success",
              icon: /* @__PURE__ */ jsxRuntimeExports.jsx(StarIcon, { width: 40, height: 40, color: "black" })
            });
        }
      }, 500);
    } else {
      handleFunctions.onAfterAddReview("failed");
      setIsLoadingAddReview(false);
      if (typeof window !== "undefined" && window.sledgeToastNotification)
        window.sledgeToastNotification({
          title: "Failed",
          message: "failed add to review",
          type: "failed",
          icon: /* @__PURE__ */ jsxRuntimeExports.jsx(StarIcon, { width: 40, height: 40, color: "black" })
        });
    }
  };
  const handleNext = () => {
    const index = steps.findIndex((x) => x.key === activeStep.key);
    setSteps(
      (prevStep) => prevStep.map((x) => {
        if (x.key === activeStep.key)
          x.isDone = true;
        return x;
      })
    );
    setActiveStep(steps[index + 1]);
  };
  const handleBack = () => {
    const index = steps.findIndex((x) => x.key === activeStep.key);
    if (index === 0)
      return;
    setSteps(
      (prevStep) => prevStep.map((x) => {
        if (x.key === activeStep.key)
          x.isDone = false;
        return x;
      })
    );
    setActiveStep(steps[index - 1]);
  };
  const handleProductReviewMedia = async () => {
    let response;
    let run = false;
    let valuePostMediaIds = [];
    let valuePostMedia = [];
    response = await getReviewMedia();
    if (!response)
      return;
    const { status, data } = response;
    const { code } = status;
    run = code === 200 || false;
    valuePostMediaIds = (data == null ? void 0 : data.ids) || [];
    valuePostMedia = (data == null ? void 0 : data.media) || [];
    if (run) {
      setPostMediaIds(valuePostMediaIds);
      setPostMedia(valuePostMedia);
      setIsLoadingUploadMedia(false);
      setIsLoadingDeleteMedia(false);
      setSelectedDeleteMediaId(null);
    }
  };
  const confirmAddReview = () => {
    if (typeof window !== "undefined" && window.sledgeConfirmationPopup)
      window.sledgeConfirmationPopup({
        title: title_confirm_add_review,
        message: text_confirm_add_review,
        textSubmit: button_submit_confirm_add_review,
        textCancel: button_cancel_confirm_add_review,
        buttonSubmitType: "success",
        onSubmit: handleAddReview || {}
      });
  };
  const handleSettings = async (LOCAL_STORAGE_PRODUCT_REVIEW_SETTING) => {
    let response;
    let run = false;
    response = JSON.parse(LOCAL_STORAGE_PRODUCT_REVIEW_SETTING);
    if (!response)
      return;
    const { status, data } = response;
    const { code } = status;
    run = code === 200 || false;
    if (run) {
      setDataSettings(data);
      await handleProductReviewMedia();
    }
  };
  const handleSubmit = (e) => {
    e.preventDefault();
    if ((activeStep == null ? void 0 : activeStep.key) === "Step_SelectRate") {
      handleNext();
    } else {
      sledgeAnonymId && (activeStep == null ? void 0 : activeStep.key) === "Step_WriteReview" ? handleNext && handleNext() : confirmAddReview && confirmAddReview();
    }
  };
  React__default.useEffect(() => {
    if (typeof window !== "undefined") {
      window.sledgeProductReviewWidgetFormAdd = (data, onAfterAddReview) => {
        const { productId, productVariantId } = data || {};
        setShowInfo(true);
        setPostProductId(productId || "");
        setPostProductVariantId(productVariantId || "");
        if (onAfterAddReview)
          setHandleFunctions({
            onAfterAddReview
          });
      };
    }
    setSledgeAnonymId(localStorage.getItem(LOCAL_STORAGE_KEY.ANONYM_ID) || "");
    handleSettings(localStorage.getItem(LOCAL_STORAGE_KEY.PRODUCT_REVIEW_SETTING) || "");
  }, []);
  React__default.useEffect(() => {
    switch (activeStep == null ? void 0 : activeStep.key) {
      case "Step_SelectRate":
        setIsVisibleNextStep(postRating ? true : false);
        setTextNextStep(
          /* @__PURE__ */ jsxRuntimeExports.jsxs(jsxRuntimeExports.Fragment, { children: [
            /* @__PURE__ */ jsxRuntimeExports.jsx("span", { children: navigation_next }),
            /* @__PURE__ */ jsxRuntimeExports.jsx(ArrowRightIcon, { width: 18, height: 18, color: "black" })
          ] })
        );
        break;
      case "Step_WriteReview":
        setIsVisibleNextStep(true);
        setTextNextStep(
          sledgeAnonymId ? /* @__PURE__ */ jsxRuntimeExports.jsxs(jsxRuntimeExports.Fragment, { children: [
            /* @__PURE__ */ jsxRuntimeExports.jsx("span", { children: navigation_next }),
            /* @__PURE__ */ jsxRuntimeExports.jsx(ArrowRightIcon, { width: 18, height: 18, color: "black" })
          ] }) : button_submit
        );
        break;
      case "Step_PersonalData":
        setIsVisibleNextStep(true);
        setTextNextStep(button_submit);
        break;
    }
  }, [activeStep, postRating, postReview, postUserFirstName, postUserEmail]);
  return /* @__PURE__ */ jsxRuntimeExports.jsx($5d3850c4d0b4e6c7$export$be92b6f5f03c0fe9, { open: showInfo, onOpenChange: setShowInfo, children: /* @__PURE__ */ jsxRuntimeExports.jsxs($5d3850c4d0b4e6c7$export$602eac185826482c, { children: [
    /* @__PURE__ */ jsxRuntimeExports.jsx($5d3850c4d0b4e6c7$export$c6fdb837b070b4ff, { className: "sledge__popup-overlay" }),
    /* @__PURE__ */ jsxRuntimeExports.jsx($5d3850c4d0b4e6c7$export$c6fdb837b070b4ff, { className: "sledge__popup-overlay-blur" }),
    /* @__PURE__ */ jsxRuntimeExports.jsx($5d3850c4d0b4e6c7$export$7c6e2c02157bb7d2, { className: "sledge-product-review__widget-form-add-content DialogContent", children: /* @__PURE__ */ jsxRuntimeExports.jsxs(
      $d94698215c4408a7$export$be92b6f5f03c0fe9,
      {
        className: "sledge-product-review__widget-form-review FormRoot",
        onSubmit: (e) => handleSubmit(e),
        "data-active-step": (activeStep == null ? void 0 : activeStep.key) || "",
        "data-visible-next": isVisibleNextStep,
        children: [
          /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-product-review__widget-form-add-step", children: (activeStep == null ? void 0 : activeStep.component) && React__default.cloneElement(/* @__PURE__ */ jsxRuntimeExports.jsx(activeStep.component, {}), {
            steps,
            activeStep,
            isLoadingAddReview,
            isLoadingUploadMedia,
            isLoadingDeleteMedia,
            selectedDeleteMediaId,
            dataSettings,
            postUserFirstName,
            postUserLastName,
            postUserEmail,
            postRating,
            postReview,
            postMedia,
            setIsLoadingUploadMedia,
            setIsLoadingDeleteMedia,
            setSelectedDeleteMediaId,
            handleNext,
            handleProductReviewMedia,
            handleAddReview,
            setPostUserFirstName,
            setPostUserLastName,
            setPostUserEmail,
            setPostRating,
            setPostTitle,
            setPostReview,
            confirmAddReview
          }) }),
          /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge-product-review__widget-form-add-step-navigator", children: [
            ((_d = steps[0]) == null ? void 0 : _d.key) === (activeStep == null ? void 0 : activeStep.key) ? /* @__PURE__ */ jsxRuntimeExports.jsx("span", {}) : /* @__PURE__ */ jsxRuntimeExports.jsx("span", { onClick: handleBack, children: navigation_previous }),
            isVisibleNextStep && /* @__PURE__ */ jsxRuntimeExports.jsx($d94698215c4408a7$export$2c4cf1f7b42ef78c, { asChild: true, disabled: isLoadingAddReview, children: /* @__PURE__ */ jsxRuntimeExports.jsx(
              Button,
              {
                role: "button",
                colorType: "light",
                style: {
                  ...isLoadingAddReview && {
                    cursor: "wait"
                  }
                },
                children: isLoadingAddReview ? "Adding..." : textNextStep
              }
            ) })
          ] })
        ]
      }
    ) })
  ] }) });
};
const Step_SelectRate = (props) => {
  var _a, _b, _c, _d;
  const { postRating, setPostRating, setPostTitle, dataSettings } = props;
  const {
    text_color: display_button_select_rating_text_color,
    border_color: display_button_select_rating_border_color,
    border_radius: display_button_select_rating_border_radius,
    padding_top: display_button_select_rating_padding_top,
    padding_bottom: display_button_select_rating_padding_bottom,
    padding_left: display_button_select_rating_padding_left,
    padding_right: display_button_select_rating_padding_right,
    background_color: display_button_select_rating_background_color,
    selected_background_color: display_button_select_rating_selected_background_color,
    font_size: display_button_select_rating_font_size,
    font_weight: display_button_select_rating_font_weight,
    text_transform: display_button_select_rating_text_transform
  } = ((_b = (_a = dataSettings == null ? void 0 : dataSettings.display) == null ? void 0 : _a.write_review_form) == null ? void 0 : _b.button_select_rating) || {};
  const { title: language_select_rating_title, ratings: language_select_ratings } = ((_d = (_c = dataSettings == null ? void 0 : dataSettings.languages) == null ? void 0 : _c.write_review_form) == null ? void 0 : _d.select_rating) || {};
  const { rating_5: language_rating_5, rating_4: language_rating_4, rating_3: language_rating_3, rating_2: language_rating_2, rating_1: language_rating_1 } = language_select_ratings || {};
  const display_button_select_rating_style = {
    ...display_button_select_rating_text_color && { color: display_button_select_rating_text_color },
    ...display_button_select_rating_border_color && { borderColor: display_button_select_rating_border_color },
    ...display_button_select_rating_border_radius && { borderRadius: display_button_select_rating_border_radius },
    ...display_button_select_rating_padding_top && { paddingTop: display_button_select_rating_padding_top },
    ...display_button_select_rating_padding_bottom && { paddingBottom: display_button_select_rating_padding_bottom },
    ...display_button_select_rating_padding_left && { paddingLeft: display_button_select_rating_padding_left },
    ...display_button_select_rating_padding_right && { paddingRight: display_button_select_rating_padding_right },
    ...display_button_select_rating_font_size && { fontSize: display_button_select_rating_font_size },
    ...display_button_select_rating_font_weight && { fontWeight: display_button_select_rating_font_weight },
    ...display_button_select_rating_text_transform && { textTransform: display_button_select_rating_text_transform }
  };
  const rateList = [
    {
      rate: 5,
      title: language_rating_5
    },
    {
      rate: 4,
      title: language_rating_4
    },
    {
      rate: 3,
      title: language_rating_3
    },
    {
      rate: 2,
      title: language_rating_2
    },
    {
      rate: 1,
      title: language_rating_1
    }
  ];
  const handleSelectRate = (rate, title) => {
    setPostRating && setPostRating(rate);
    setPostTitle && setPostTitle(title);
  };
  return /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge-product-review__widget-form", children: [
    /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-product-review__widget-form-title", children: language_select_rating_title }),
    /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-product-review__widget-form-select-rate-list", children: rateList.map((item, index) => {
      return /* @__PURE__ */ jsxRuntimeExports.jsxs(
        "button",
        {
          type: "button",
          className: `sledge-product-review__widget-form-select-rate-list-item ${item.rate === postRating && "selected"}`,
          onClick: () => handleSelectRate(item.rate, item.title),
          style: {
            ...display_button_select_rating_style,
            ...display_button_select_rating_background_color && display_button_select_rating_selected_background_color ? {
              backgroundColor: item.rate === postRating ? display_button_select_rating_selected_background_color : display_button_select_rating_background_color
            } : {}
          },
          children: [
            /* @__PURE__ */ jsxRuntimeExports.jsx(
              SledgeContext$1.Provider,
              {
                value: {
                  isRenderApp: {
                    productReview: true
                  }
                },
                children: /* @__PURE__ */ jsxRuntimeExports.jsx(Rating, { value: item.rate, size: "md", withSkeletonLoading: false })
              }
            ),
            " ",
            /* @__PURE__ */ jsxRuntimeExports.jsx("span", { className: "sledge-product-review__widget-form-select-rate-text", children: item.title })
          ]
        },
        index
      );
    }) })
  ] });
};
const Step_WriteReview = (props) => {
  var _a;
  const {
    isLoadingUploadMedia,
    isLoadingDeleteMedia,
    selectedDeleteMediaId,
    dataSettings,
    postMedia,
    postReview,
    setIsLoadingUploadMedia,
    setIsLoadingDeleteMedia,
    setSelectedDeleteMediaId,
    handleNext,
    handleProductReviewMedia,
    setPostMediaIds,
    setPostMedia,
    setPostReview
  } = props;
  const { description: language_description } = ((_a = dataSettings == null ? void 0 : dataSettings.languages) == null ? void 0 : _a.write_review_form) || {};
  const { title: language_title, form_placeholder } = language_description || {};
  const [isTriggerDeleteMedia, setIsTriggerDeleteMedia] = React__default.useState(false);
  const handleAddReviewMedia = async (files) => {
    setIsLoadingUploadMedia && setIsLoadingUploadMedia(true);
    let response;
    let run = false;
    let valuePostMediaIds = [];
    let valuePostMedia = [];
    response = await addReviewMedia(files);
    if (!response) {
      setIsLoadingUploadMedia && setIsLoadingUploadMedia(false);
      if (typeof window !== "undefined" && window.sledgeToastNotification)
        window.sledgeToastNotification({
          title: "Failed",
          message: "failed add to media",
          type: "failed",
          icon: /* @__PURE__ */ jsxRuntimeExports.jsx(UploadIcon, { width: 40, height: 40, color: "black" })
        });
    }
    const { status, data } = response || {};
    const { code } = status || {};
    run = code === 200;
    valuePostMediaIds = (data == null ? void 0 : data.ids) || [];
    valuePostMedia = (data == null ? void 0 : data.media) || [];
    if (run) {
      setPostMediaIds && setPostMediaIds(valuePostMediaIds);
      setPostMedia && setPostMedia(valuePostMedia);
      handleProductReviewMedia && handleProductReviewMedia();
      if (typeof window !== "undefined" && window.sledgeToastNotification)
        window.sledgeToastNotification({
          title: "Media added",
          message: "successfully added to media",
          type: "success",
          icon: /* @__PURE__ */ jsxRuntimeExports.jsx(UploadIcon, { width: 40, height: 40, color: "black" })
        });
    } else {
      setIsLoadingUploadMedia && setIsLoadingUploadMedia(false);
      if (typeof window !== "undefined" && window.sledgeToastNotification)
        window.sledgeToastNotification({
          title: "Failed",
          message: "failed add to media",
          type: "failed",
          icon: /* @__PURE__ */ jsxRuntimeExports.jsx(UploadIcon, { width: 40, height: 40, color: "black" })
        });
    }
  };
  const handleDeleteReviewMedia = async () => {
    if (!selectedDeleteMediaId)
      return;
    setIsLoadingDeleteMedia && setIsLoadingDeleteMedia(true);
    let response;
    let run = false;
    response = await deleteReviewMedia(selectedDeleteMediaId);
    if (!response)
      return;
    const { status } = response;
    const { code } = status;
    run = code === 200;
    if (run) {
      handleProductReviewMedia && handleProductReviewMedia();
      if (typeof window !== "undefined" && window.sledgeToastNotification)
        window.sledgeToastNotification({
          title: "Media removed",
          message: "successfully removed from media",
          type: "success",
          icon: /* @__PURE__ */ jsxRuntimeExports.jsx(UploadIcon, { width: 40, height: 40, color: "black" })
        });
    } else {
      setIsLoadingDeleteMedia && setIsLoadingDeleteMedia(false);
      setSelectedDeleteMediaId && setSelectedDeleteMediaId(null);
      if (typeof window !== "undefined" && window.sledgeToastNotification)
        window.sledgeToastNotification({
          title: "Failed",
          message: "failed delete to media",
          type: "failed",
          icon: /* @__PURE__ */ jsxRuntimeExports.jsx(UploadIcon, { width: 40, height: 40, color: "black" })
        });
    }
  };
  const handleFileChange = (e) => {
    if (e.target.files)
      handleAddReviewMedia(e.target.files);
  };
  const handleClickDeleteMedia = () => {
    setIsTriggerDeleteMedia(false);
    if (typeof window !== "undefined" && window.sledgeConfirmationPopup)
      window.sledgeConfirmationPopup({
        title: "Are you sure want to delete this media?",
        message: "This action cannot be undone. This will permanently delete this media.",
        textSubmit: "Delete",
        textCancel: "Cancel",
        buttonSubmitType: "danger",
        onSubmit: handleDeleteReviewMedia || {}
      });
  };
  React__default.useEffect(() => {
    setIsTriggerDeleteMedia(false);
  }, []);
  React__default.useEffect(() => {
    if (selectedDeleteMediaId && isTriggerDeleteMedia)
      handleClickDeleteMedia();
  }, [selectedDeleteMediaId, isTriggerDeleteMedia]);
  const uploadFileElement = /* @__PURE__ */ jsxRuntimeExports.jsx("label", { htmlFor: "file-upload", className: "sledge-product-review__widget-form-upload-media-file", children: /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-product-review__widget-form-upload-media", children: /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge-product-review__widget-form-upload-media-description", children: [
    /* @__PURE__ */ jsxRuntimeExports.jsx(UploadIcon, { width: 32, height: 32, color: "currentColor" }),
    /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-product-review__widget-form-upload-media-text", children: isLoadingUploadMedia ? /* @__PURE__ */ jsxRuntimeExports.jsx("span", { children: "Uploading..." }) : /* @__PURE__ */ jsxRuntimeExports.jsxs(jsxRuntimeExports.Fragment, { children: [
      /* @__PURE__ */ jsxRuntimeExports.jsx("span", { children: "Upload a file PNG, JPG max 5MB" }),
      /* @__PURE__ */ jsxRuntimeExports.jsx("input", { id: "file-upload", name: "file-upload", type: "file", multiple: true, onChange: handleFileChange, className: "sledge-product-review__widget-form-sr-only" })
    ] }) })
  ] }) }) });
  return /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge-product-review__widget-form", children: [
    /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-product-review__widget-form-title", children: language_title }),
    /* @__PURE__ */ jsxRuntimeExports.jsx(
      TextAreaField,
      {
        className: "Textarea",
        required: true,
        placeholder: form_placeholder,
        value: postReview,
        onChange: (e) => setPostReview && setPostReview(e.target.value)
      }
    ),
    (postMedia == null ? void 0 : postMedia.length) ? /* @__PURE__ */ jsxRuntimeExports.jsx(jsxRuntimeExports.Fragment, { children: /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge-product-review__widget-form-upload-media-filled", children: [
      postMedia.map((item, index) => {
        const { id, file, type } = item;
        let isDeletingMedia = isLoadingDeleteMedia && id == selectedDeleteMediaId;
        return /* @__PURE__ */ jsxRuntimeExports.jsxs(motion.div, { initial: "hidden", animate: "visible", variants: VISIBLE_ANIMATION, className: "sledge-product-review__widget-form-upload-media-filled-item", children: [
          isDeletingMedia ? /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-product-review__widget-form-upload-media-delete-loading", children: "Deleting..." }) : /* @__PURE__ */ jsxRuntimeExports.jsx(
            "div",
            {
              className: "sledge-product-review__widget-form-upload-media-delete-item",
              onClick: () => {
                setIsTriggerDeleteMedia(true);
                setSelectedDeleteMediaId && setSelectedDeleteMediaId(id);
              },
              children: /* @__PURE__ */ jsxRuntimeExports.jsx("svg", { width: 25, height: 20, viewBox: "0 0 15 15", fill: "none", xmlns: "http://www.w3.org/2000/svg", children: /* @__PURE__ */ jsxRuntimeExports.jsx(
                "path",
                {
                  d: "M5.5 1C5.22386 1 5 1.22386 5 1.5C5 1.77614 5.22386 2 5.5 2H9.5C9.77614 2 10 1.77614 10 1.5C10 1.22386 9.77614 1 9.5 1H5.5ZM3 3.5C3 3.22386 3.22386 3 3.5 3H5H10H11.5C11.7761 3 12 3.22386 12 3.5C12 3.77614 11.7761 4 11.5 4H11V12C11 12.5523 10.5523 13 10 13H5C4.44772 13 4 12.5523 4 12V4L3.5 4C3.22386 4 3 3.77614 3 3.5ZM5 4H10V12H5V4Z",
                  fill: "#fff",
                  fillRule: "evenodd",
                  clipRule: "evenodd"
                }
              ) })
            }
          ),
          type === "image" ? /* @__PURE__ */ jsxRuntimeExports.jsx(
            "img",
            {
              src: file,
              className: "sledge-product-review__widget-form-upload-media-filled-item-file",
              alt: "sledge-review-uploaded-image",
              loading: "lazy",
              onError: (event) => event.currentTarget.src = `${API_URL}/img/blank-image.png`
            }
          ) : /* @__PURE__ */ jsxRuntimeExports.jsx("video", { controls: !isDeletingMedia, className: "sledge-product-review__widget-form-upload-media-filled-item-file", children: /* @__PURE__ */ jsxRuntimeExports.jsx("source", { src: file }) })
        ] }, index);
      }),
      uploadFileElement
    ] }) }) : uploadFileElement
  ] });
};
const Step_PersonalData = (props) => {
  var _a;
  const { dataSettings, postUserFirstName, postUserLastName, postUserEmail, setPostUserFirstName, setPostUserLastName, setPostUserEmail } = props;
  const { user: language_user } = ((_a = dataSettings == null ? void 0 : dataSettings.languages) == null ? void 0 : _a.write_review_form) || {};
  const { title: language_title, first_name_form_placeholder, last_name_form_placeholder, email_form_placeholder } = language_user || {};
  return /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-product-review__widget-form", children: /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge-product-review__widget-form-personal-data", children: [
    /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-product-review__widget-form-title", children: language_title }),
    /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge-product-review__widget-form-group-flex", children: [
      /* @__PURE__ */ jsxRuntimeExports.jsx(
        InputField,
        {
          name: "userFirstName",
          type: "text",
          required: true,
          placeholder: first_name_form_placeholder,
          onChange: (e) => setPostUserFirstName && setPostUserFirstName(e.target.value),
          value: postUserFirstName
        }
      ),
      /* @__PURE__ */ jsxRuntimeExports.jsx(
        InputField,
        {
          name: "userLastName",
          type: "text",
          required: true,
          placeholder: last_name_form_placeholder,
          onChange: (e) => setPostUserLastName && setPostUserLastName(e.target.value),
          value: postUserLastName
        }
      )
    ] }),
    /* @__PURE__ */ jsxRuntimeExports.jsx(
      InputField,
      {
        name: "userEmail",
        type: "email",
        required: true,
        placeholder: email_form_placeholder,
        onChange: (e) => setPostUserEmail && setPostUserEmail(e.target.value),
        value: postUserEmail
      }
    ),
    /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge-product-review__widget-form-review-description", children: [
      "By submitting, I acknowledge the ",
      /* @__PURE__ */ jsxRuntimeExports.jsx("a", { href: "#", children: "Terms of Service" }),
      " and ",
      /* @__PURE__ */ jsxRuntimeExports.jsx("a", { href: "#", children: "Privacy Policy" }),
      " and that my review will be publicly posted and shared online"
    ] })
  ] }) });
};
const fetchApi = async (url, method, body) => {
  let sledgeInstantSearchAuthApp = localStorage.getItem(LOCAL_STORAGE_KEY.INSTANT_SEARCH_AUTH_APP);
  var myHeaders = new Headers();
  myHeaders.append("Authorization", `Bearer ${sledgeInstantSearchAuthApp}`);
  myHeaders.append("Content-Type", "application/json");
  var requestOptions = {
    ...{
      method,
      headers: myHeaders,
      redirect: "follow"
    },
    ...body && {
      body: JSON.stringify(body)
    }
  };
  return await fetch(`${INSTANT_SEARCH_ENGINE_URL}${url}`, requestOptions).then((response) => response.json()).then((result) => result).catch(() => {
    return;
  });
};
const multiSearch = async (body) => {
  return await fetchApi("/multi-search", "POST", body);
};
const searchTrigger = async (data) => {
  const { keyword, resultCount } = data;
  let sledgeAuthApp = localStorage.getItem(LOCAL_STORAGE_KEY.AUTH_APP);
  var myHeaders = new Headers();
  myHeaders.append("Authorization", `Bearer ${sledgeAuthApp}`);
  myHeaders.append("Content-Type", "application/json");
  var raw = JSON.stringify({
    keyword,
    result_count: resultCount
  });
  var requestOptions = {
    method: "POST",
    headers: myHeaders,
    body: raw,
    redirect: "follow"
  };
  return await fetch(`${API_URL}/instantsearch/statistics/search`, requestOptions).then((response) => response.json()).then((result) => {
    return result;
  }).catch(() => {
    return;
  });
};
const productClickTrigger = async (data) => {
  const { productId } = data;
  let sledgeAuthApp = localStorage.getItem(LOCAL_STORAGE_KEY.AUTH_APP);
  var myHeaders = new Headers();
  myHeaders.append("Authorization", `Bearer ${sledgeAuthApp}`);
  myHeaders.append("Content-Type", "application/json");
  var raw = JSON.stringify({
    product: {
      id: sanitizeDataId(productId)
    }
  });
  var requestOptions = {
    method: "POST",
    headers: myHeaders,
    body: raw,
    redirect: "follow"
  };
  return await fetch(`${API_URL}/instantsearch/statistics/click`, requestOptions).then((response) => response.json()).then((result) => {
    return result;
  }).catch(() => {
    return;
  });
};
const addToCartTrigger = async (data) => {
  const { productId } = data;
  let sledgeAuthApp = localStorage.getItem(LOCAL_STORAGE_KEY.AUTH_APP);
  var myHeaders = new Headers();
  myHeaders.append("Authorization", `Bearer ${sledgeAuthApp}`);
  myHeaders.append("Content-Type", "application/json");
  var raw = JSON.stringify({
    product: {
      id: sanitizeDataId(productId)
    }
  });
  var requestOptions = {
    method: "POST",
    headers: myHeaders,
    body: raw,
    redirect: "follow"
  };
  return await fetch(`${API_URL}/instantsearch/statistics/cart`, requestOptions).then((response) => response.json()).then((result) => {
    return result;
  }).catch(() => {
    return;
  });
};
const ProductGrid = ({
  type,
  className = "",
  data,
  setting,
  customProductCard,
  showOptionOutOfStock = false,
  triggerPropAdditional,
  sourceApp = null,
  onAfterAddToCart,
  onAfterAddWishlist,
  onAfterRemoveWishlist,
  onAfterRenderProduct
}) => {
  const {
    show_vendor = true,
    show_sku = true,
    show_price = true,
    show_add_to_cart = true,
    redirect_add_to_cart = true,
    language_button_add_to_cart = "Add To Cart",
    display_product_name_style = {},
    display_price_style = {},
    display_button_add_to_cart_style = {}
  } = setting || {};
  let {
    image: productCardImage = false,
    outStock: productCardOutStock = "",
    title: productCardTitle = "",
    price: productCardPrice = "",
    text: productCardText = "",
    rating: productCardRating = false,
    buttonAddToCart: productCardButtonAddToCart = ""
  } = customProductCard || {};
  const [clickedAddToCartId, setClickedAddToCartId] = React__default.useState(null);
  const handleAddToCart = async (data2) => {
    var _a;
    const { id, quantity } = data2;
    setClickedAddToCartId(id);
    let resShopifyAddToCart = await addToCart([
      {
        id,
        quantity
      }
    ]);
    if ((_a = resShopifyAddToCart == null ? void 0 : resShopifyAddToCart.items) == null ? void 0 : _a.length) {
      if (sourceApp === "wishlist") {
        await addToCartTrigger$1({
          productId: id
        });
      } else if (sourceApp === "instant-search") {
        await addToCartTrigger({
          productId: id
        });
      }
      setClickedAddToCartId(null);
      onAfterAddToCart && onAfterAddToCart("success");
      if (redirect_add_to_cart) {
        window.location.href = "/cart";
      } else {
        window.sledgeToastNotification({
          title: "Cart added",
          message: "Successfully added to wishlist",
          type: "success",
          icon: /* @__PURE__ */ jsxRuntimeExports.jsx(BagIcon, { width: 40, height: 40, color: "black" })
        });
      }
    } else {
      onAfterAddToCart && onAfterAddToCart("failed");
      setTimeout(() => {
        var _a2;
        setClickedAddToCartId(null);
        if (typeof window !== "undefined" && window.sledgeToastNotification)
          window.sledgeToastNotification({
            title: "Failed",
            message: ((_a2 = resShopifyAddToCart == null ? void 0 : resShopifyAddToCart.description) == null ? void 0 : _a2.length) ? resShopifyAddToCart.description : "failed add to cart, please try again",
            type: "failed",
            icon: /* @__PURE__ */ jsxRuntimeExports.jsx(BagIcon, { width: 40, height: 40, color: "black" })
          });
      }, 1e3);
    }
  };
  React__default.useEffect(() => {
    onAfterRenderProduct && onAfterRenderProduct("success");
  }, []);
  return /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: `sledge__product-grid ${className}`, "data-grid-type": type, children: data == null ? void 0 : data.map((item, index) => {
    var _a;
    const { product, variants } = item || {};
    const { id, title, image, url, vendor = "", currency } = product || {};
    const { id: variant_id = "", title: variant_title = "", price = "", sku = "" } = (variants == null ? void 0 : variants.length) ? variants[0] : {};
    let totalStock = ((_a = variants == null ? void 0 : variants.map(({ inventory_quantity }) => inventory_quantity)) == null ? void 0 : _a.reduce((a, b) => a + b, 0)) || 0;
    let isLoadingAddToCart = clickedAddToCartId == variant_id;
    let isOutOfStock = !totalStock && showOptionOutOfStock && productCardOutStock;
    if (customProductCard && Object.keys(customProductCard).length) {
      productCardTitle = productCardTitle ? replaceString(productCardTitle, [OBJECT_DATA_STRING_KEY.PRODUCT.TITLE], [title]) : productCardTitle;
      productCardPrice = productCardPrice ? replaceString(productCardPrice, [OBJECT_DATA_STRING_KEY.PRODUCT.CURRENCY, OBJECT_DATA_STRING_KEY.PRODUCT.PRICE], [currency, price]) : productCardPrice;
      productCardText = productCardText ? replaceString(
        productCardText,
        [OBJECT_DATA_STRING_KEY.PRODUCT.VARIANT_TITLE, OBJECT_DATA_STRING_KEY.PRODUCT.VENDOR, OBJECT_DATA_STRING_KEY.PRODUCT.SKU],
        [variant_title, vendor, sku]
      ) : productCardText;
    } else {
      productCardImage = true;
      productCardOutStock = "Sold out";
      productCardTitle = title;
      productCardPrice = `${currency}${price}`;
      productCardText = `
                    <div>${variant_title}</div>
                    <div>Vendor: ${vendor} | SKU: ${sku}</div>`;
      productCardRating = true;
      productCardButtonAddToCart = `
                    <svg width="18" height="18" viewBox="0 0 18 18" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path
                            fill-rule="evenodd"
                            clip-rule="evenodd"
                            d="M8.83562 1.50023C10.796 1.50023 12.4155 2.99397 12.6152 4.90442L12.6709 4.90507C13.7584 4.90507 15.0806 5.62732 15.5269 7.65307L16.1186 12.2333C16.3309 13.7116 16.0654 14.8973 15.3281 15.7478C14.5946 16.5938 13.4336 17.0416 11.9704 17.0416H5.7094C4.10215 17.0416 2.9824 16.6478 2.28565 15.8386C1.5859 15.0271 1.3519 13.8098 1.5904 12.2213L2.1724 7.70182C2.5549 5.62957 3.95365 4.90507 5.03665 4.90507C5.13014 4.04293 5.51889 3.22275 6.13562 2.60797C6.84437 1.90372 7.82162 1.50023 8.81987 1.50023H8.83562ZM12.6709 6.03007H5.03665C4.7059 6.03007 3.6004 6.16357 3.28315 7.87657L2.70415 12.3766C2.5159 13.6388 2.6614 14.5523 3.13765 15.1051C3.6079 15.6511 4.4494 15.9166 5.7094 15.9166H11.9704C12.7564 15.9166 13.8296 15.7598 14.4776 15.0113C14.9921 14.4181 15.1691 13.5346 15.0041 12.3848L14.4199 7.84582C14.1709 6.72757 13.5139 6.03007 12.6709 6.03007ZM11.023 8.11815C11.3335 8.11815 11.6027 8.37015 11.6027 8.68065C11.6027 8.99115 11.368 9.24315 11.0575 9.24315H11.023C10.7125 9.24315 10.4605 8.99115 10.4605 8.68065C10.4605 8.37015 10.7125 8.11815 11.023 8.11815ZM6.65042 8.11815C6.96092 8.11815 7.23017 8.37015 7.23017 8.68065C7.23017 8.99115 6.99467 9.24315 6.68417 9.24315H6.65042C6.33992 9.24315 6.08792 8.99115 6.08792 8.68065C6.08792 8.37015 6.33992 8.11815 6.65042 8.11815ZM8.83337 2.62522H8.82212C8.11637 2.62522 7.42862 2.90947 6.92987 3.40522C6.5236 3.80967 6.25789 4.34137 6.17193 4.90472L11.4814 4.90493C11.2887 3.61626 10.1743 2.62522 8.83337 2.62522Z"
                            fill="#393D4E"
                        ></path></svg
                    ><span>Add To Cart</span>`;
    }
    return /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge__product-grid-card", children: [
      /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge__product-grid-content", children: [
        /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge__product-grid-card-image", children: [
          productCardImage ? /* @__PURE__ */ jsxRuntimeExports.jsxs(
            "a",
            {
              href: url,
              onClick: () => sourceApp === "instant-search" && productClickTrigger({
                productId: id
              }),
              children: [
                /* @__PURE__ */ jsxRuntimeExports.jsx(
                  Trigger,
                  {
                    data: {
                      productId: id,
                      productVariantId: variant_id,
                      productName: title,
                      productVendor: vendor,
                      productSku: sku,
                      productVariantName: variant_title,
                      productLink: url,
                      productImage: (image == null ? void 0 : image.src) || `${API_URL}/img/blank-image.png`,
                      productCurrency: currency,
                      productPrice: price
                    },
                    ...triggerPropAdditional,
                    onAfterAddWishlist,
                    onAfterRemoveWishlist
                  }
                ),
                /* @__PURE__ */ jsxRuntimeExports.jsx("img", { src: (image == null ? void 0 : image.src) || "", alt: "sledge-product-card-image", loading: "lazy", onError: (event) => event.currentTarget.src = `${API_URL}/img/blank-image.png` })
              ]
            }
          ) : null,
          isOutOfStock ? /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge__product-grid-card-out-of-stock", dangerouslySetInnerHTML: { __html: productCardOutStock } }) : null
        ] }),
        /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge__product-grid-card-desc", children: [
          /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge__product-grid-card-title", children: [
            productCardTitle ? /* @__PURE__ */ jsxRuntimeExports.jsx("div", { children: /* @__PURE__ */ jsxRuntimeExports.jsx(
              "a",
              {
                href: url,
                onClick: () => sourceApp === "instant-search" && productClickTrigger({
                  productId: id
                }),
                children: /* @__PURE__ */ jsxRuntimeExports.jsx("h3", { style: display_product_name_style, dangerouslySetInnerHTML: { __html: productCardTitle } })
              }
            ) }) : null,
            show_price && productCardPrice ? /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge__product-grid-card-price", children: /* @__PURE__ */ jsxRuntimeExports.jsx("p", { style: display_price_style, dangerouslySetInnerHTML: { __html: productCardPrice } }) }) : null
          ] }),
          /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge__product-grid-card-text", dangerouslySetInnerHTML: { __html: productCardText } }),
          productCardRating ? /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge__product-grid-card-rating", children: /* @__PURE__ */ jsxRuntimeExports.jsx(
            Rating,
            {
              data: {
                productId: id
              },
              size: "xs",
              withSkeletonLoading: false
            }
          ) }) : null
        ] })
      ] }),
      show_add_to_cart && productCardButtonAddToCart ? /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge__product-grid-button-wrapper", children: /* @__PURE__ */ jsxRuntimeExports.jsx(
        Button,
        {
          type: "button",
          colorType: "light",
          style: {
            ...display_button_add_to_cart_style,
            ...isLoadingAddToCart && {
              cursor: "wait"
            }
          },
          dangerouslySetInnerHTML: { __html: isLoadingAddToCart ? "Adding..." : isOutOfStock ? "Sold out" : productCardButtonAddToCart },
          ...isLoadingAddToCart || isOutOfStock ? {
            disabled: true
          } : {
            onClick: () => handleAddToCart({
              id: variant_id,
              quantity: 1
            })
          }
        }
      ) }) : null
    ] }, index);
  }) });
};
const TextAreaField$1 = "";
const TextAreaField = (props) => {
  const { className = "", value = "", onChange, required, ...otherProps } = props;
  const handleChangeField = (e) => {
    onChange && onChange(e);
  };
  const maxLength = 1e3;
  return /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: `sledge__text-area-field-wrapper ${className || ""}`, children: /* @__PURE__ */ jsxRuntimeExports.jsxs($d94698215c4408a7$export$a455218a85c89869, { className: "FormField FormTextArea", name: "review", children: [
    /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge__text-area-field-control", children: [
      /* @__PURE__ */ jsxRuntimeExports.jsx($d94698215c4408a7$export$7a7fa4424cb20976, { asChild: true, children: /* @__PURE__ */ jsxRuntimeExports.jsx(
        "textarea",
        {
          className: "sledge__text-area-field",
          value,
          onChange: (e) => handleChangeField(e),
          rows: 6,
          maxLength: 1e3,
          required,
          ...otherProps
        }
      ) }),
      /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge__text-area-field-counter", children: [
        value == null ? void 0 : value.length,
        "/",
        maxLength
      ] })
    ] }),
    required && /* @__PURE__ */ jsxRuntimeExports.jsx($d94698215c4408a7$export$f69c19e57285b83a, { className: "FormMessage", match: "valueMissing", children: "Required field" })
  ] }) });
};
const InputField$1 = "";
const InputField = (props) => {
  const { className = "", value = "", onChange, required, type, name = "", ...otherProps } = props;
  const handleChangeField = (e) => {
    onChange && onChange(e);
  };
  return /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: `sledge__input-field-wrapper ${className || ""}`, children: /* @__PURE__ */ jsxRuntimeExports.jsxs($d94698215c4408a7$export$a455218a85c89869, { className: "FormField", name, children: [
    /* @__PURE__ */ jsxRuntimeExports.jsx($d94698215c4408a7$export$7a7fa4424cb20976, { asChild: true, children: /* @__PURE__ */ jsxRuntimeExports.jsx("input", { className: "sledge__input-field", type, value, required, onChange: (e) => handleChangeField(e), ...otherProps }) }),
    required && /* @__PURE__ */ jsxRuntimeExports.jsx($d94698215c4408a7$export$f69c19e57285b83a, { className: "FormMessage", match: "valueMissing", children: "Required field" }),
    type === "email" && /* @__PURE__ */ jsxRuntimeExports.jsx($d94698215c4408a7$export$f69c19e57285b83a, { className: "FormMessage", match: "typeMismatch", children: "Please fill a valid email address" })
  ] }) });
};
const CollectionGrid = "";
const PageGrid = "";
const BlogGrid = "";
const Tooltip = "";
const ScrollArea$1 = "";
const ScrollArea = ({ children, isLoading = false, className = "", withCorner = true }) => {
  return /* @__PURE__ */ jsxRuntimeExports.jsxs($57acba87d6e25586$export$be92b6f5f03c0fe9, { className: `sledge__scroll-area-root ${className}`, children: [
    /* @__PURE__ */ jsxRuntimeExports.jsx($57acba87d6e25586$export$d5c6c08dc2d3ca7, { className: `sledge__scroll-area-viewport ${isLoading ? "sledge__scroll-area-viewport-loading" : ""}`, children }),
    !isLoading && /* @__PURE__ */ jsxRuntimeExports.jsxs(jsxRuntimeExports.Fragment, { children: [
      /* @__PURE__ */ jsxRuntimeExports.jsx($57acba87d6e25586$export$9a4e88b92edfce6b, { className: "sledge__scroll-area-scrollbar", orientation: "vertical", children: /* @__PURE__ */ jsxRuntimeExports.jsx($57acba87d6e25586$export$6521433ed15a34db, { className: "sledge__scroll-area-thumb" }) }),
      /* @__PURE__ */ jsxRuntimeExports.jsx($57acba87d6e25586$export$9a4e88b92edfce6b, { className: "sledge__scroll-area-scrollbar", orientation: "horizontal", children: /* @__PURE__ */ jsxRuntimeExports.jsx($57acba87d6e25586$export$6521433ed15a34db, { className: "sledge__scroll-area-thumb" }) }),
      withCorner && /* @__PURE__ */ jsxRuntimeExports.jsx($57acba87d6e25586$export$ac61190d9fc311a9, { className: "sledge__scroll-area-corner" })
    ] })
  ] });
};
const SkeletonLoading$1 = "";
const SkeletonItem = ({ width, height, rounded, color, animationDuration = "8s", disableAnimation = false, style = {}, className = "", ...otherProps }) => {
  return /* @__PURE__ */ jsxRuntimeExports.jsx(
    "div",
    {
      className: `sledge__skeleton-item ${className} ${!disableAnimation ? "sledge__skeleton-item-animation" : ""}`,
      style: {
        ...{
          width,
          height,
          WebkitAnimationDuration: animationDuration,
          animationDuration
        },
        ...style
      },
      "data-skeleton-rounded": rounded,
      "data-skeleton-color": color,
      ...otherProps
    }
  );
};
const SkeletonProductGrid = ({ count, type }) => {
  let components = [];
  for (let i = 0; i < count; i++) {
    components.push(
      /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge__product-grid-card", children: [
        /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge__product-grid-content", children: [
          /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge__product-grid-card-image sledge__skeleton-product-grid-card-image", children: [
            /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-wishlist__trigger-block", children: /* @__PURE__ */ jsxRuntimeExports.jsx(SkeletonItem, { width: "40px", height: "40px", color: "grey-300", rounded: "sm", disableAnimation: true }) }),
            /* @__PURE__ */ jsxRuntimeExports.jsx(SkeletonItem, { width: "100%", height: "100%", color: "grey-100", rounded: "md" })
          ] }),
          /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge__product-grid-card-desc", children: [
            /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge__product-grid-card-title", children: [
              /* @__PURE__ */ jsxRuntimeExports.jsx(SkeletonItem, { width: "134px", height: "28px", color: "grey-100", rounded: "md", animationDuration: "15s" }),
              /* @__PURE__ */ jsxRuntimeExports.jsx(SkeletonItem, { width: "80px", height: "28px", color: "grey-100", rounded: "md", animationDuration: "20s" })
            ] }),
            /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge__product-grid-card-text", children: /* @__PURE__ */ jsxRuntimeExports.jsx(
              SkeletonItem,
              {
                width: "190px",
                height: "46px",
                color: "grey-100",
                rounded: "md",
                animationDuration: "13s",
                style: {
                  marginBottom: "16px"
                }
              }
            ) })
          ] })
        ] }),
        /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge__product-grid-button-wrapper", children: /* @__PURE__ */ jsxRuntimeExports.jsx(SkeletonItem, { width: "117px", height: "40px", color: "grey-100", rounded: "md", animationDuration: "15s" }) })
      ] }, i)
    );
  }
  return /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge__product-grid sledge__skeleton-product-grid sledge__skeleton-pointer-events-none", "data-grid-type": type, children: components });
};
const SkeletonReviewGrid = ({ count, type, gridItemHeights = [] }) => {
  let components = [];
  for (let i = 0; i < count; i++) {
    components.push(
      /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-product-review__widget-review-card", children: /* @__PURE__ */ jsxRuntimeExports.jsx(
        SkeletonItem,
        {
          width: "100%",
          height: type === "list" || type === "grid" && !(gridItemHeights == null ? void 0 : gridItemHeights.length) ? "111px" : gridItemHeights[i],
          color: "grey-100",
          rounded: "md",
          animationDuration: type === "list" ? "2.5s" : "8s"
        }
      ) }, i)
    );
  }
  return /* @__PURE__ */ jsxRuntimeExports.jsx(
    MasonryResponsive,
    {
      columnsCountBreakPoints: type === "grid" ? { 350: 1, 750: 3, 1024: 4 } : { 350: 1 },
      className: "sledge-product-review__widget-review-grid sledge__skeleton-review-grid sledge__skeleton-pointer-events-none",
      children: /* @__PURE__ */ jsxRuntimeExports.jsx(Masonry, { gutter: "30px", children: components })
    }
  );
};
const SkeletonCollectionGrid = ({ count }) => {
  let components = [];
  for (let i = 0; i < count; i++) {
    components.push(
      /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge__collection-grid-card", children: [
        /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge__collection-grid-card-image", children: /* @__PURE__ */ jsxRuntimeExports.jsx(SkeletonItem, { width: "246px", height: "246px", color: "grey-300", rounded: "md" }) }),
        /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge__collection-grid-card-content", children: [
          /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge__collection-grid-card-text", children: [
            /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge__collection-grid-card-content-title", children: /* @__PURE__ */ jsxRuntimeExports.jsx(SkeletonItem, { width: "100%", height: "70px", color: "grey-300", rounded: "lg" }) }),
            /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge__collection-grid-card-content-description", children: /* @__PURE__ */ jsxRuntimeExports.jsx(
              SkeletonItem,
              {
                width: "100%",
                height: "47px",
                color: "grey-300",
                rounded: "md",
                style: {
                  maxWidth: "357px"
                }
              }
            ) })
          ] }),
          /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge__collection-grid-card-content-button-wrapper", children: /* @__PURE__ */ jsxRuntimeExports.jsx(
            SkeletonItem,
            {
              width: "100%",
              height: "40px",
              color: "grey-300",
              rounded: "md",
              animationDuration: "20s",
              style: {
                maxWidth: "117px"
              }
            }
          ) })
        ] })
      ] }, i)
    );
  }
  return /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge__collection-grid sledge__skeleton-collection-grid sledge__skeleton-pointer-events-none", children: components });
};
const SkeletonPageGrid = ({ count }) => {
  let components = [];
  for (let i = 0; i < count; i++) {
    components.push(
      /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge__page-grid-card", children: [
        /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge__page-grid-card-image", children: /* @__PURE__ */ jsxRuntimeExports.jsx(
          SkeletonItem,
          {
            width: "100%",
            height: "100%",
            color: "grey-300",
            rounded: "md",
            animationDuration: "13s",
            style: {
              borderTopRightRadius: 0,
              borderBottomRightRadius: 0
            }
          }
        ) }),
        /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge__page-grid-card-content", children: [
          /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge__page-grid-card-content-title", children: /* @__PURE__ */ jsxRuntimeExports.jsx(SkeletonItem, { width: "100%", height: "40px", color: "grey-300", rounded: "md", animationDuration: "6s" }) }),
          /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge__page-grid-card-content-description", children: /* @__PURE__ */ jsxRuntimeExports.jsx(
            SkeletonItem,
            {
              width: "100%",
              height: "40px",
              color: "grey-300",
              rounded: "md",
              animationDuration: "17s",
              style: {
                maxWidth: "115px"
              }
            }
          ) })
        ] })
      ] }, i)
    );
  }
  return /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge__page-grid sledge__skeleton-page-grid sledge__skeleton-pointer-events-none", children: components });
};
const SkeletonBlogGrid = ({ count }) => {
  let components = [];
  for (let i = 0; i < count; i++) {
    components.push(
      /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge__blog-grid-card", children: /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge__blog-grid-content", children: [
        /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge__blog-grid-card-image", children: /* @__PURE__ */ jsxRuntimeExports.jsx(SkeletonItem, { width: "100%", height: "100%", color: "grey-100", rounded: "md", animationDuration: "10s" }) }),
        /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge__blog-grid-card-desc", children: [
          /* @__PURE__ */ jsxRuntimeExports.jsx(
            SkeletonItem,
            {
              width: "100%",
              height: "28px",
              color: "grey-100",
              rounded: "md",
              style: {
                maxWidth: "242px",
                marginTop: "26px",
                marginBottom: "12px"
              }
            }
          ),
          /* @__PURE__ */ jsxRuntimeExports.jsx(
            SkeletonItem,
            {
              width: "100%",
              height: "28px",
              color: "grey-100",
              rounded: "md",
              animationDuration: "23s",
              style: {
                maxWidth: "80px",
                marginBottom: "27px"
              }
            }
          ),
          /* @__PURE__ */ jsxRuntimeExports.jsx(
            SkeletonItem,
            {
              width: "100%",
              height: "80px",
              color: "grey-100",
              rounded: "md",
              animationDuration: "13s",
              style: {
                maxWidth: "190px",
                marginBottom: "27px"
              }
            }
          ),
          /* @__PURE__ */ jsxRuntimeExports.jsx(
            SkeletonItem,
            {
              width: "100%",
              height: "40px",
              color: "grey-100",
              rounded: "md",
              animationDuration: "20s",
              style: {
                maxWidth: "117px"
              }
            }
          )
        ] })
      ] }) }, i)
    );
  }
  return /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge__blog-grid sledge__skeleton-blog-grid sledge__skeleton-pointer-events-none", children: components });
};
const SkeletonLoading = {
  Item: SkeletonItem,
  ReviewGrid: SkeletonReviewGrid,
  ProductGrid: SkeletonProductGrid,
  CollectionGrid: SkeletonCollectionGrid,
  PageGrid: SkeletonPageGrid,
  BlogGrid: SkeletonBlogGrid
};
const SearchIconWidget = "";
const SearchIconWidgetPopup$1 = "";
const SearchIconWidgetPopup = () => {
  var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k, _l, _m, _n, _o, _p, _q, _r, _s, _t, _u, _v;
  const [isLoading, setIsLoading] = React__default.useState(true);
  const [showInfo, setShowInfo] = React__default.useState(false);
  const [keyword, setKeyword] = React__default.useState("");
  const [suffixIndexProduct, setSuffixIndexProduct] = React__default.useState("");
  const [searchResultProduct, setSearchResultProduct] = React__default.useState([]);
  const [searchResultOther, setSearchResultOther] = React__default.useState([]);
  const [allowedTabs, setAllowedTabs] = React__default.useState([]);
  const [hiddenTags, setHiddenTags] = React__default.useState([]);
  const [displaySettings, setDisplaySettings] = React__default.useState({});
  const [suggestionSettings, setSuggestionSettings] = React__default.useState({});
  const [suggestionIndex, setSuggestionIndex] = React__default.useState("");
  const [handleFunctions, setHandleFunctions] = React__default.useState({
    onAfterAddToCart: (state) => {
    },
    onAfterAddWishlist: (state) => {
    },
    onAfterRemoveWishlist: (state) => {
    },
    onAfterRenderProduct: (state) => {
    }
  });
  const [customProductCard, setCustomProductCard] = React__default.useState({});
  const searchFieldRef = React__default.useRef(null);
  const previousState = usePrevious({ keyword });
  const handleMultiSearch = async (data, onSearch = false) => {
    var _a2, _b2, _c2, _d2, _e2, _f2, _g2, _h2, _i2, _j2, _k2;
    if (!showInfo)
      return;
    setIsLoading(true);
    const { tabs, suffix_index_product, hidden_tags, display } = data;
    const suggestion = ((_a2 = display == null ? void 0 : display.search) == null ? void 0 : _a2.suggestion) || {};
    let response;
    let body = {
      queries: tabs.map((tab) => {
        var _a3;
        const { index } = tab;
        let isProductIndex = index.includes(suffix_index_product);
        let additionalFilter = [];
        if (hidden_tags == null ? void 0 : hidden_tags.length)
          additionalFilter.push(`tags NOT IN [${hidden_tags}]`);
        if (!((_a3 = display == null ? void 0 : display.filter) == null ? void 0 : _a3.show_out_of_stock))
          additionalFilter.push("variants.inventory_quantity > 0");
        return {
          indexUid: index,
          q: keyword,
          hitsPerPage: isProductIndex ? 6 : 4,
          filter: isProductIndex ? additionalFilter.join(" AND ") : ""
        };
      })
    };
    response = await multiSearch(body);
    if (!response)
      return;
    const { results } = response;
    let valueSearchResultProduct = results == null ? void 0 : results.filter(({ indexUid }) => indexUid == null ? void 0 : indexUid.includes(suffix_index_product));
    if (onSearch && (keyword == null ? void 0 : keyword.length)) {
      searchTrigger({
        keyword,
        resultCount: ((_b2 = valueSearchResultProduct[0]) == null ? void 0 : _b2.totalHits) || 0
      });
    }
    let valueSearchResultOther = ((_c2 = results == null ? void 0 : results.filter(({ indexUid }) => !(indexUid == null ? void 0 : indexUid.includes(suffix_index_product)))) == null ? void 0 : _c2.map((result) => {
      const { indexUid } = result;
      const { name } = tabs == null ? void 0 : tabs.find(({ index }) => index.includes(indexUid));
      return {
        ...result,
        ...{
          name: name || ""
        }
      };
    })) || [];
    let getValueSearchResultProduct = (valueSearchResultProduct == null ? void 0 : valueSearchResultProduct.length) ? (_d2 = valueSearchResultProduct[0]) == null ? void 0 : _d2.hits : [];
    let valueSuggestionIndex = !keyword.length ? "zero_character" : !(getValueSearchResultProduct == null ? void 0 : getValueSearchResultProduct.length) ? "no_result" : "";
    let isPriorityZeroCharacter = Boolean(
      !keyword.length && Object.keys(suggestion).length && ((_f2 = (_e2 = suggestion[valueSuggestionIndex]) == null ? void 0 : _e2.products) == null ? void 0 : _f2.active) && ((_i2 = (_h2 = (_g2 = suggestion[valueSuggestionIndex]) == null ? void 0 : _g2.products) == null ? void 0 : _h2.list) == null ? void 0 : _i2.length)
    );
    setSearchResultProduct(isPriorityZeroCharacter ? (_k2 = (_j2 = suggestion[valueSuggestionIndex]) == null ? void 0 : _j2.products) == null ? void 0 : _k2.list : getValueSearchResultProduct);
    setSearchResultOther(valueSearchResultOther);
    setSuggestionIndex(valueSuggestionIndex);
    setIsLoading(false);
  };
  const handleSettings = async (LOCAL_STORAGE_INSTANT_SEARCH_SETTING) => {
    var _a2;
    if (!showInfo)
      return;
    let response;
    let run = false;
    response = JSON.parse(LOCAL_STORAGE_INSTANT_SEARCH_SETTING);
    if (!response)
      return;
    const { status, data } = response;
    const { code } = status;
    const { tabs, suffix_index_product, hidden_tags, display } = data;
    run = code === 200 || false;
    if (run) {
      setAllowedTabs(tabs);
      setSuffixIndexProduct(suffix_index_product);
      setHiddenTags(hidden_tags);
      setDisplaySettings(display);
      setSuggestionSettings((_a2 = display == null ? void 0 : display.search) == null ? void 0 : _a2.suggestion);
      await handleMultiSearch(data);
    }
  };
  React__default.useEffect(() => {
    if (typeof window !== "undefined") {
      window.sledgeInstantSearchIconWidgetPopup = (customProductCard2 = {}, onAfterAddToCart = () => {
      }, onAfterAddWishlist = () => {
      }, onAfterRemoveWishlist = () => {
      }, onAfterRenderProduct = () => {
      }) => {
        setShowInfo(true);
        setHandleFunctions({
          onAfterAddToCart,
          onAfterAddWishlist,
          onAfterRemoveWishlist,
          onAfterRenderProduct
        });
        setCustomProductCard(customProductCard2);
        setTimeout(() => {
          if (searchFieldRef == null ? void 0 : searchFieldRef.current) {
            searchFieldRef.current.focus();
            searchFieldRef.current.value = keyword;
          }
        }, 500);
      };
    }
    handleSettings(localStorage.getItem(LOCAL_STORAGE_KEY.INSTANT_SEARCH_SETTING) || "");
  }, [showInfo]);
  React__default.useEffect(() => {
    if (Boolean(previousState && (previousState == null ? void 0 : previousState.keyword) !== keyword)) {
      const delayDebounceFn = setTimeout(() => {
        handleMultiSearch({ tabs: allowedTabs, suffix_index_product: suffixIndexProduct, hidden_tags: hiddenTags, display: displaySettings }, true);
      }, 500);
      return () => clearTimeout(delayDebounceFn);
    }
  }, [keyword]);
  return /* @__PURE__ */ jsxRuntimeExports.jsx($5d3850c4d0b4e6c7$export$be92b6f5f03c0fe9, { open: showInfo, onOpenChange: setShowInfo, children: /* @__PURE__ */ jsxRuntimeExports.jsxs($5d3850c4d0b4e6c7$export$602eac185826482c, { children: [
    /* @__PURE__ */ jsxRuntimeExports.jsx($5d3850c4d0b4e6c7$export$c6fdb837b070b4ff, { className: "sledge__popup-overlay" }),
    /* @__PURE__ */ jsxRuntimeExports.jsx($5d3850c4d0b4e6c7$export$c6fdb837b070b4ff, { className: "sledge__popup-overlay-blur" }),
    /* @__PURE__ */ jsxRuntimeExports.jsxs($5d3850c4d0b4e6c7$export$7c6e2c02157bb7d2, { className: "sledge-instant-search__icon-widget-popup-detail-content", "data-layout-type": ((_a = displaySettings == null ? void 0 : displaySettings.search) == null ? void 0 : _a.layout) || "", children: [
      /* @__PURE__ */ jsxRuntimeExports.jsx(
        SearchInputField,
        {
          type: "text",
          icon: /* @__PURE__ */ jsxRuntimeExports.jsx(SearchIcon, { width: 20, height: 20, color: "#000000" }),
          placeholder: "Search anything...",
          value: keyword,
          fieldRef: searchFieldRef,
          onChange: ({ value }) => setKeyword(value),
          className: "sledge-instant-search__icon-widget-search-form-field",
          withClearField: true
        }
      ),
      /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-instant-search__icon-widget-search-form-result", children: isLoading ? /* @__PURE__ */ jsxRuntimeExports.jsx(ScrollArea, { children: /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-instant-search__icon-widget-search-form-result-wrapper", children: /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge-instant-search__icon-widget-search-form-result-flex", children: [
        /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-instant-search__icon-widget-search-form-result-flex-item-other sledge-instant-search__icon-widget-search-form-result-flex-item-other-skeleton", children: [0, 1, 2].map((index) => /* @__PURE__ */ jsxRuntimeExports.jsxs(React__default.Fragment, { children: [
          /* @__PURE__ */ jsxRuntimeExports.jsx(
            SkeletonLoading.Item,
            {
              width: "100%",
              height: "42px",
              color: "grey-100",
              rounded: "md",
              ...Boolean(index) && {
                style: { marginTop: "12px" }
              }
            }
          ),
          /* @__PURE__ */ jsxRuntimeExports.jsx(
            "div",
            {
              style: {
                display: "flex",
                flexDirection: "column",
                justifyContent: "center",
                gap: "12px",
                marginTop: "12px"
              },
              children: [1, 2, 3].map((index2) => /* @__PURE__ */ jsxRuntimeExports.jsx(
                SkeletonLoading.Item,
                {
                  width: "100%",
                  height: "28px",
                  color: "grey-100",
                  rounded: "md",
                  animationDuration: "13s",
                  style: {
                    maxWidth: "140px"
                  }
                },
                index2
              ))
            }
          )
        ] }, index)) }),
        /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-instant-search__icon-widget-search-form-result-flex-item-product", children: /* @__PURE__ */ jsxRuntimeExports.jsx(SkeletonLoading.ProductGrid, { count: 6, type: "medium" }) })
      ] }) }) }) : /* @__PURE__ */ jsxRuntimeExports.jsx(ScrollArea, { children: /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-instant-search__icon-widget-search-form-result-wrapper", children: /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge-instant-search__icon-widget-search-form-result-flex", children: [
        /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge-instant-search__icon-widget-search-form-result-flex-item-other", children: [
          Object.keys(suggestionSettings).length && ((_c = (_b = suggestionSettings[suggestionIndex]) == null ? void 0 : _b.keywords) == null ? void 0 : _c.active) && ((_f = (_e = (_d = suggestionSettings[suggestionIndex]) == null ? void 0 : _d.keywords) == null ? void 0 : _e.list) == null ? void 0 : _f.length) ? /* @__PURE__ */ jsxRuntimeExports.jsxs(jsxRuntimeExports.Fragment, { children: [
            /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-instant-search__icon-widget-search-form-result-title", children: "Suggestions" }),
            /* @__PURE__ */ jsxRuntimeExports.jsx("ul", { className: "sledge-instant-search__icon-widget-search-form-result-list", children: suggestionSettings[suggestionIndex].keywords.list.map((keyword2, index) => {
              return /* @__PURE__ */ jsxRuntimeExports.jsx("li", { children: /* @__PURE__ */ jsxRuntimeExports.jsxs(
                "a",
                {
                  href: `${SEARCH_RESULT_URL}?q=${keyword2}`,
                  className: "sledge-instant-search__icon-widget-search-form-result-list-link sledge-instant-search__icon-widget-search-form-result-list-link-suggestion",
                  children: [
                    /* @__PURE__ */ jsxRuntimeExports.jsx(SearchIcon, { width: 12, height: 12, color: "#677487" }),
                    " ",
                    keyword2
                  ]
                }
              ) }, index);
            }) })
          ] }) : null,
          searchResultOther && searchResultOther.map((item, index) => {
            const { hits, name } = item;
            return /* @__PURE__ */ jsxRuntimeExports.jsxs(React__default.Fragment, { children: [
              /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-instant-search__icon-widget-search-form-result-title", children: name }),
              (hits == null ? void 0 : hits.length) ? /* @__PURE__ */ jsxRuntimeExports.jsx("ul", { className: "sledge-instant-search__icon-widget-search-form-result-list", children: hits.map((hit, index2) => {
                const { title, url } = hit;
                return /* @__PURE__ */ jsxRuntimeExports.jsx("li", { children: /* @__PURE__ */ jsxRuntimeExports.jsx("a", { href: url, className: "sledge-instant-search__icon-widget-search-form-result-list-link", children: title }) }, index2);
              }) }) : /* @__PURE__ */ jsxRuntimeExports.jsx("ul", { className: "sledge-instant-search__icon-widget-search-form-result-list", children: /* @__PURE__ */ jsxRuntimeExports.jsxs("li", { className: "sledge-instant-search__icon-widget-search-form-result-item-disabled", children: [
                "No ",
                name.toLowerCase(),
                " were found"
              ] }) })
            ] }, index);
          })
        ] }),
        /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge-instant-search__icon-widget-search-form-result-flex-item-product", children: [
          (searchResultProduct == null ? void 0 : searchResultProduct.length) ? /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-instant-search__icon-widget-search-form-result-product", children: /* @__PURE__ */ jsxRuntimeExports.jsx(
            ProductGrid,
            {
              sourceApp: "instant-search",
              type: "medium",
              data: searchResultProduct.map((item) => {
                const { id, title, currency, image, url, vendor, variants } = item || {};
                return {
                  product: {
                    id,
                    title,
                    image,
                    url,
                    vendor,
                    currency
                  },
                  variants: (variants == null ? void 0 : variants.length) ? variants.map((variant) => {
                    const { id: variant_id, title: variant_title, price, sku, inventory_quantity } = variant || {};
                    return { id: variant_id, title: variant_title, price, sku, inventory_quantity };
                  }) : []
                };
              }),
              setting: {
                show_vendor: (_g = displaySettings == null ? void 0 : displaySettings.search) == null ? void 0 : _g.show_vendor,
                show_sku: (_h = displaySettings == null ? void 0 : displaySettings.search) == null ? void 0 : _h.show_sku,
                show_price: (_i = displaySettings == null ? void 0 : displaySettings.search) == null ? void 0 : _i.show_price
              },
              customProductCard,
              showOptionOutOfStock: true,
              onAfterAddToCart: handleFunctions.onAfterAddToCart,
              onAfterAddWishlist: handleFunctions.onAfterAddWishlist,
              onAfterRemoveWishlist: handleFunctions.onAfterRemoveWishlist,
              onAfterRenderProduct: handleFunctions.onAfterRenderProduct
            }
          ) }) : Object.keys(suggestionSettings).length && ((_k = (_j = suggestionSettings[suggestionIndex]) == null ? void 0 : _j.products) == null ? void 0 : _k.active) && ((_n = (_m = (_l = suggestionSettings[suggestionIndex]) == null ? void 0 : _l.products) == null ? void 0 : _m.list) == null ? void 0 : _n.length) ? /* @__PURE__ */ jsxRuntimeExports.jsxs(jsxRuntimeExports.Fragment, { children: [
            /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "sledge-instant-search__icon-widget-search-form-result-product-suggestion-no-result-text", children: [
              /* @__PURE__ */ jsxRuntimeExports.jsx("span", { children: "Sorry" }),
              ", nothing found for ",
              /* @__PURE__ */ jsxRuntimeExports.jsx("span", { children: keyword }),
              ". Did you mean:"
            ] }),
            /* @__PURE__ */ jsxRuntimeExports.jsx(
              ProductGrid,
              {
                sourceApp: "instant-search",
                type: "medium",
                data: suggestionSettings[suggestionIndex].products.list.map((item) => {
                  const { id, currency, title, image, url, vendor, variants } = item || {};
                  return {
                    product: {
                      id,
                      title,
                      image,
                      url,
                      vendor,
                      currency
                    },
                    variants: (variants == null ? void 0 : variants.length) ? variants.map((variant) => {
                      const { id: variant_id, title: variant_title, price, sku, inventory_quantity } = variant || {};
                      return { id: variant_id, title: variant_title, price, sku, inventory_quantity };
                    }) : []
                  };
                }),
                setting: {
                  show_vendor: (_o = displaySettings == null ? void 0 : displaySettings.search) == null ? void 0 : _o.show_vendor,
                  show_sku: (_p = displaySettings == null ? void 0 : displaySettings.search) == null ? void 0 : _p.show_sku,
                  show_price: (_q = displaySettings == null ? void 0 : displaySettings.search) == null ? void 0 : _q.show_price
                },
                customProductCard,
                showOptionOutOfStock: true,
                onAfterAddToCart: handleFunctions.onAfterAddToCart,
                onAfterAddWishlist: handleFunctions.onAfterAddWishlist,
                onAfterRemoveWishlist: handleFunctions.onAfterRemoveWishlist,
                onAfterRenderProduct: handleFunctions.onAfterRenderProduct
              }
            )
          ] }) : /* @__PURE__ */ jsxRuntimeExports.jsxs(jsxRuntimeExports.Fragment, { children: [
            /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-instant-search__icon-widget-search-form-result-title", children: "Products" }),
            /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-instant-search__icon-widget-search-form-result-item-disabled", children: "No product were found" })
          ] }),
          (searchResultProduct == null ? void 0 : searchResultProduct.length) || Object.keys(suggestionSettings).length && ((_s = (_r = suggestionSettings[suggestionIndex]) == null ? void 0 : _r.products) == null ? void 0 : _s.active) && ((_v = (_u = (_t = suggestionSettings[suggestionIndex]) == null ? void 0 : _t.products) == null ? void 0 : _u.list) == null ? void 0 : _v.length) ? /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "sledge-instant-search__icon-widget-button-more-wrapper", children: /* @__PURE__ */ jsxRuntimeExports.jsx("a", { href: `${SEARCH_RESULT_URL}?q=${keyword}`, className: "sledge-instant-search__icon-widget-button-more", children: "View More Result" }) }) : null
        ] })
      ] }) }) }) })
    ] })
  ] }) });
};
const SearchResultWidget = "";
const SearchWidget = "";
const SledgeContext = React__default.createContext({
  apiKey: "",
  instantSearchApiKey: "",
  userId: "",
  userFullname: "",
  isRenderApp: {
    wishlist: false,
    productReview: false,
    instantSearch: false
  }
});
const SledgeProvider = ({ apiKey, instantSearchApiKey, userId, userFullname, children }) => {
  const consoleErrorStyle = "color: white; background: black; border: 1px solid white; padding: 2px 5px; border-radius: 350px;";
  const [isLoadedToken, setIsLoadedToken] = React__default.useState(false);
  const [isRenderAppWishlist, setIsRenderAppWishlist] = React__default.useState(false);
  const [isRenderAppProductReview, setIsRenderAppProductReview] = React__default.useState(false);
  const [isRenderAppInstantSearch, setIsRenderAppInstantSearch] = React__default.useState(false);
  const handleToken = () => {
    getToken({
      API_KEY: apiKey || "",
      INSTANT_SEARCH_API_KEY: instantSearchApiKey || "",
      USER_ID: userId || "",
      USER_FULLNAME: userFullname || ""
    }).then((responseToken) => {
      var _a, _b;
      if (!((_a = responseToken == null ? void 0 : responseToken.data) == null ? void 0 : _a.token)) {
        console.error("%cSledge", consoleErrorStyle, `${((_b = responseToken.status) == null ? void 0 : _b.code) ? responseToken.status.message : responseToken}`);
        return;
      } else {
        setIsLoadedToken(true);
        getSetting("wishlist").then((responseSetting) => {
          var _a2;
          if (((_a2 = responseSetting == null ? void 0 : responseSetting.status) == null ? void 0 : _a2.code) !== 200) {
            console.error("%cSledge", consoleErrorStyle, "Error wishlist app settings");
            return;
          }
          localStorage.setItem(LOCAL_STORAGE_KEY.WISHLIST_SETTING, JSON.stringify(responseSetting));
          setIsRenderAppWishlist(true);
        });
        getSetting("review").then((responseSetting) => {
          var _a2;
          if (((_a2 = responseSetting == null ? void 0 : responseSetting.status) == null ? void 0 : _a2.code) !== 200) {
            console.error("%cSledge", consoleErrorStyle, "Error product review app settings");
            return;
          }
          localStorage.setItem(LOCAL_STORAGE_KEY.PRODUCT_REVIEW_SETTING, JSON.stringify(responseSetting));
          setIsRenderAppProductReview(true);
        });
        getSetting("instantsearch").then((responseSetting) => {
          var _a2;
          if (((_a2 = responseSetting == null ? void 0 : responseSetting.status) == null ? void 0 : _a2.code) !== 200) {
            console.error("%cSledge", consoleErrorStyle, "Error instant search app settings");
            return;
          }
          localStorage.setItem(LOCAL_STORAGE_KEY.INSTANT_SEARCH_SETTING, JSON.stringify(responseSetting));
          setIsRenderAppInstantSearch(true);
        });
      }
    });
  };
  React__default.useEffect(() => {
    handleToken();
  }, []);
  return /* @__PURE__ */ jsxRuntimeExports.jsxs(
    SledgeContext.Provider,
    {
      value: {
        apiKey,
        instantSearchApiKey,
        userId,
        userFullname,
        isRenderApp: {
          wishlist: isRenderAppWishlist,
          productReview: isRenderAppProductReview,
          instantSearch: isRenderAppInstantSearch
        }
      },
      children: [
        isLoadedToken ? /* @__PURE__ */ jsxRuntimeExports.jsxs(jsxRuntimeExports.Fragment, { children: [
          /* @__PURE__ */ jsxRuntimeExports.jsx(ConfirmationPopup, {}),
          /* @__PURE__ */ jsxRuntimeExports.jsx(InfoPopup, {}),
          /* @__PURE__ */ jsxRuntimeExports.jsx(ToastNotification, {}),
          isRenderAppProductReview ? /* @__PURE__ */ jsxRuntimeExports.jsxs(jsxRuntimeExports.Fragment, { children: [
            /* @__PURE__ */ jsxRuntimeExports.jsx(WidgetPopupDetail, {}),
            /* @__PURE__ */ jsxRuntimeExports.jsx(WidgetFormAdd, {})
          ] }) : null,
          isRenderAppInstantSearch ? /* @__PURE__ */ jsxRuntimeExports.jsx(jsxRuntimeExports.Fragment, { children: /* @__PURE__ */ jsxRuntimeExports.jsx(SearchIconWidgetPopup, {}) }) : null
        ] }) : null,
        children
      ]
    }
  );
};
export {
  SledgeContext,
  SledgeProvider
};
//# sourceMappingURL=sledge-react-core.js.map
